<?php

namespace App\Http\Controllers\Application;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;

use App\Http\Resources\ContentResource;
use App\Http\Resources\ARContentResource;
use App\Http\Resources\FaqsResource;
use App\Http\Resources\ARFaqsResource;

use App\Models\StaticContent;
use App\Models\Faq;
class StaticContentController extends Controller
{
    public function staticContent(Request $request){
        $content = StaticContent::first();
        if(!$content){
            return response()->json([
                'success' => false,
                'message' => 'No Static Content.',
            ], 400);
        }
        $response = [
            'success' => true,
            'message' => "The process is completed successfully.",
            "data" => array(
                'content' => $request->lang == 'en' ? ContentResource::make($content) : ARContentResource::make($content),
            ),
        ];
        return response($response, 201);
    }

    public function faqs(Request $request){
        $faqs = Faq::all();
        if($request->lang == 'en'){
            $response = [
                'success' => true,
                'message' => "The process is completed successfully.",
                "data" => array(
                    'faqs' => FaqsResource::make($faqs),
                ),
            ];
        }else{
            $response = [
                'success' => true,
                'message' => "The process is completed successfully.",
                "data" => array(
                    'faqs' => ARFaqsResource::make($faqs),
                ),
            ];
        }
        return response($response, 201);
    }
}
