<?php

namespace App\Http\Controllers\Auth;

use App\Http\Controllers\Controller;
use App\Providers\RouteServiceProvider;
use Illuminate\Foundation\Auth\AuthenticatesUsers;
use Illuminate\Support\Facades\Auth;
use Illuminate\Http\Request;
use App\Models\User;
use Illuminate\Support\Facades\Hash;
use  Illuminate\Validation\Validator;

class LoginController extends Controller
{
    /*
    |--------------------------------------------------------------------------
    | Login Controller
    |--------------------------------------------------------------------------
    |
    | This controller handles authenticating users for the application and
    | redirecting them to your home screen. The controller uses a trait
    | to conveniently provide its functionality to your applications.
    |
    */

    use AuthenticatesUsers;

    /**
     * Where to redirect users after login.
     *
     * @var string
     */
    protected $redirectTo = RouteServiceProvider::HOME;

    /**
     * Create a new controller instance.
     *
     * @return void
     */
    public function __construct()
    {
        $this->middleware('guest')->except('logout');
    }
    public function login(Request $request)
    {
        // Check validation - Note : you can change validation as per your requirements 
        $this->validate($request, [
            // 'phone' => 'required|regex:/[0-9]{10}/|digits:10',   
            'phone' => 'required',
            'password' => 'required|string',

        ]);

        // Get user record
        $user = User::where('phone', $request->get('phone'))->first();

        // Check Condition Mobile No. Found or Not
        if(!$user ){
            return back()->with('error', 'phone is incorrect');
        }
        if( !Hash::check($request->password, $user->password)){
        return back()->with('error',  'password is incorrect');}
        // Set Auth Details
         \Auth::login($user);
        
        // Redirect home page
        return redirect()->route('home');
    }
}
