<?php

namespace App\Http\Controllers\Dashboard;

use App\Http\Controllers\Controller;
use App\Models\Category;

use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;
use  Illuminate\Validation\Validator;
use Illuminate\Support\Facades\File;
use Illuminate\Support\Facades\Hash;



class CategoryController extends Controller
{

    public function index(Request $request)
    {
        $categories = Category::orderBy('id', 'asc')->get();

        return view('pages.categories.listcategories', ['categories' => $categories]);
     
        

       
    }
    public function create()
    {
      
        return view('pages.categories.categoriescreate');
    }

    public function store(Request $request)
    {
        $request->validate([
            'name'=>'required|string',
            'name_ar'=>'required|string',
            'image' => 'required|mimes:png,jpg,jpeg,webp'
 
        ]);
        if ($request->has('image')) {
                //get file name with extention
                $filenameWithExt = $request->image->getClientOriginalName();
                //get just file name
                $filename = pathinfo($filenameWithExt, PATHINFO_FILENAME);
                //GET EXTENTION
                $extention = $request->image->getClientOriginalExtension();
                //file name to store
                $fileNameToStore = $filename . '.' . $extention;
                //upload image
                $path = $request->image->storeAs('public/images/categories/images', $fileNameToStore);
                $url = asset('public/storage/images/categories/images/' . $fileNameToStore);
             
        }
            
        Category::create([
            'name' => $request->name,
            'name_ar' => $request->name_ar,
            'image' => $url,
        ]);

        return redirect()->route('categorieslist')
            ->with('success', 'Category Created Successfully.');
    }
    public function edit($id)
    {
        
        $category = Category::where('id', $id)->get();
 
        $data = [
            'category' => $category,
        ];
        return view('pages.categories.categoriesedit', $data);
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        $category = Category::where('id', $id)->first();

        $request->validate([
            'name'=>'required|string',
            'name_ar'=>'required|string',
            'image' => 'nullable|mimes:png,jpg,jpeg,webp'
 
        ]);

        $request->name != null ? $category->name = $request->name : null;
        $request->name_ar != null ? $category->name_ar = $request->name_ar : null;

        if ($request->has('image')) {
            //get file name with extention
            $filenameWithExt = $request->image->getClientOriginalName();
            //get just file name
            $filename = pathinfo($filenameWithExt, PATHINFO_FILENAME);
            //GET EXTENTION
            $extention = $request->image->getClientOriginalExtension();
            //file name to store
            $fileNameToStore = $filename . '.' . $extention;
            //upload image
            $path = $request->image->storeAs('public/images/categories/images', $fileNameToStore);
            $url = asset('public/storage/images/categories/images/' . $fileNameToStore);
            $category->image = $url;

         }
        $category->save();

        return redirect()->route('categorieslist')
            ->with('success', 'Category Updated Successfully.');
    }


    public function delete($id)
    {

        Category::where('id', $id)->delete();

        return redirect()->route('categorieslist')
             ->with('success', 'Category Deleted Successfully.');
    }
}
