<?php

namespace App\Http\Controllers\Dashboard;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\Models\Extra;

class ExtraController extends Controller
{
    public function index(Request $request)
    {
        $extras = Extra::all();
        return view('pages.extras.listextras', ['extras' => $extras]);
    }

    public function create()
    {
      
        return view('pages.extras.extrascreate');
    }

    public function store(Request $request)
    {
        $request->validate([
            'name'=>'required|string',
            'name_ar'=>'required|string',
            'is_required'=>'nullable',
            'is_multiple'=>'nullable',
        ]);
            
        Extra::create([
            'name' => $request->name,
            'name_ar' => $request->name_ar,
            'is_required' => $request->is_required ? 1 : 0,
            'multiple' => $request->is_multiple ? 1 : 0

        ]);

        return redirect()->route('extralist')
            ->with('success', 'Extra Created Successfully.');
    }

    public function edit($id)
    {
        $extra = Extra::where('id', $id)->get();
    
        $data = [
            'extra' => $extra,

    
        ];
        return view('pages.extras.extrasedit', $data);
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        $extra = Extra::where('id', $id)->first();

        $request->validate([
            'name'=>'required|string',
            'name_ar'=>'required|string',
            'is_required'=>'nullable',
            'is_multiple'=>'nullable',

        ]);
        
        $request->name != null ? $extra->name = $request->name : null;
        $request->name_ar != null ? $extra->name_ar = $request->name_ar : null;
        $request->is_required ? $extra->is_required = 1 : $extra->is_required = 0;
        $request->is_multiple ? $extra->multiple = 1 : $extra->multiple = 0;

        $extra->save();

        return redirect()->route('extralist')
            ->with('success', 'Extra Updated Successfully.');
    }


    public function delete($id)
    {

        Extra::where('id', $id)->delete();

        return redirect()->route('extralist')
            ->with('success', 'Extra Deleted Successfully.');
    }
}
