<?php

namespace App\Http\Controllers\Dashboard;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\Models\Faq;

class FaqController extends Controller
{
    public function index(Request $request)
    {
        $faqs = Faq::all();

        return view('pages.faq.list', ['faqs' => $faqs]);

    }

    public function create()
    {
        return view('pages.faq.create');

    }

    public function store(Request $request)
    {
        $this->validate($request, [
            'title' => 'required|string',
            'body' => 'required|string',
            'title_ar' => 'required|string',
            'body_ar' => 'required|string',

        ]);
        Faq::create([
            'title'=> $request->input('title'),
            'body'=> $request->input('body'),
            'title_ar'=> $request->input('title_ar'),
            'body_ar'=> $request->input('body_ar')
        ]);
        return redirect()->route('faqslist')->with('success', 'Faq Created Successfully.');

    }
    public function edit($id)
    {
        $faq=Faq::where('id',$id)->get();

        return view('pages.faq.edit')->with('faq', $faq);
    }

    public function update(Request $request,$id)
    {
        $faq=Faq::where('id',$id)->first();
        $request->title != null ? $faq->title = $request->title : null;
        $request->title_ar != null ? $faq->title_ar = $request->title_ar : null;
        $request->body != null ? $faq->body = $request->body : null;
        $request->body_ar != null ? $faq->body_ar = $request->body_ar : null;

        $faq->save();

        return redirect()->route('faqslist')->with('success', 'Faq Updated Successfully.');
    }  

    public function delete($id)
    {
        $faq=Faq::where('id',$id)->delete();
        return redirect()->back()->with('success', 'Faq Deleted Successfully.');
    }
}
