<?php

namespace App\Http\Controllers\Dashboard;

use App\Http\Controllers\Controller;
use App\Events\NotificationCreatedEvent;
use Illuminate\Http\Request;
use App\Models\Notification;
use App\Models\Device;
use App\Models\Role;
use App\Models\User;

class NotificationController extends Controller
{
    public function index(){

        return view('pages.notification.index');
    }

    public function save(Request $request){
        $this->validate($request, [
            'branch_id' => 'required|integer|digits:1,2,3',
            'title' => 'required|string',
            'body' => 'required|string',
            'title_ar' => 'required|string',
            'body_ar' => 'required|string',
        ]);
        $notificationObj = Notification::create([
            'title'=>$request->input('title'),
            'body'=>$request->input('body'),
            'title_ar'=>$request->input('title_ar'),
            'body_ar'=>$request->input('body_ar'),

        ]);

        $notification = [
                'title'=>$notificationObj->title,
                'body'=>$notificationObj->body,
            ];

        $notificationAr = [
            'title'=>$notificationObj->title_ar,
            'body'=>$notificationObj->body_ar,
        ];

        if ($request->has('branch_id') && $request->branch_id == 3) {
            $users = User::all();
            $now = now()->format('Y-m-d H:i:s'); // Get the current timestamp

            $usersWithTimestamp = collect($users)->map(function ($user) use ($now) {
                return [
                    'user_id' => $user->id,
                    'created_at' => $now,
                    'updated_at' => $now,
                ];
            });

            $notificationObj->users()->attach($usersWithTimestamp);
            $receiver_id = User::where(['lang'=>'en'])->pluck('id')->toArray();
            $receiver_ar_id = User::where(['lang'=>'ar'])->pluck('id')->toArray();

        }else{
            $branch = $request->input('branch_id');
            $users = User::where('branch_id',$branch)->get();
            $now = now()->format('Y-m-d H:i:s'); // Get the current timestamp

            $usersWithTimestamp = collect($users)->map(function ($user) use ($now) {
                return [
                    'user_id' => $user->id,
                    'created_at' => $now,
                    'updated_at' => $now,
                ];
            });

            $notificationObj->users()->attach($usersWithTimestamp);
            $receiver_id = User::where(['branch_id'=>$branch,'lang'=>'en', 'is_out', 0])->pluck('id')->toArray();
            $receiver_ar_id = User::where(['branch_id'=>$branch,'lang'=>'ar', 'is_out', 0])->pluck('id')->toArray();

        }
        event(new NotificationCreatedEvent($notification,$receiver_id));
        event(new NotificationCreatedEvent($notificationAr,$receiver_ar_id));

        return redirect()->back()->with('success','The  notification has been sent successfully.');        
    }
}
