<?php

namespace App\Http\Controllers\Dashboard;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\Models\Extra;
use App\Models\Option;

class OptionController extends Controller
{
    public function index(Request $request)
    {
        $options = Option::all();
        return view('pages.options.listoptions', ['options' => $options]);
    }

    public function create()
    {
        $extras = Extra::all();
        return view('pages.options.optionscreate', ['extras' => $extras]);
    }

    public function store(Request $request)
    {
        $request->validate([
            'name'=>'required|string',
            'name_ar'=>'required|string',
            'price'=>'nullable|numeric',
            'extra'=>'required|integer|exists:extras,id',
 
        ]);
            
        Option::create([
            'name' => $request->name,
            'name_ar' => $request->name_ar,
            'price' => $request->price,
            'extra_id' => $request->extra,
        ]);

        return redirect()->route('optionlist')
            ->with('success', 'Option Created Successfully.');
    }

    public function edit($id)
    {
        $options = Option::where('id', $id)->get();
        $extras = Extra::all();

        $data = [
            'options' => $options,
            'extras' => $extras,
    
        ];
        return view('pages.options.optionsedit', $data);
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        $option = Option::where('id', $id)->first();

        $request->validate([
            'name'=>'required|string',
            'name_ar'=>'required|string',
            'price'=>'nullable|numeric',
            'extra'=>'required|integer|exists:extras,id',
 
        ]);
        
        $request->name != null ? $option->name = $request->name : null;
        $request->name_ar != null ? $option->name_ar = $request->name_ar : null;
        $request->price != null ? $option->price = $request->price : null;
        $request->extra != null ? $option->extra_id = $request->extra : null;

        $option->save();

        return redirect()->route('optionlist')
            ->with('success', 'Option Updated Successfully.');
    }


    public function delete($id)
    {

        Option::where('id', $id)->delete();

        return redirect()->route('optionlist')
            ->with('success', 'Option Deleted Successfully.');
    }

    public function allOptions(Request $request){
        $options = Option::where('id',$request->category_id)->get();
        if ($options) {
            return $options;
        }
    }
}
