<?php

namespace App\Http\Controllers\Dashboard;

use App\Http\Controllers\Controller;
use App\Models\StaticContent;

use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;
use Illuminate\Validation\Validator;
use Illuminate\Support\Facades\File;
use Illuminate\Support\Facades\Hash;



class StaticContentController extends Controller
{
  
    public function create()
    {
        $staticcontents = StaticContent::get();
       
        $id= StaticContent::get()->pluck('id')->first();
     
        return view('pages.staticcontents.staticcontentscreate',compact('staticcontents','id'));
    }

    
    public function update(Request $request)
    {
        $request->validate([
            'about_us'=>'required|string',
            'about_us_ar'=>'required|string',

            'phone' => 'required|numeric',

            'privacy_policy'=>'required|string',
            'terms_and_conditions'=>'required|string',
            'privacy_policy_ar'=>'required|string',
            'terms_and_conditions_ar'=>'required|string',

            'email' => 'required|email|unique:users,email',
            'address' => 'required|string',
            'address_ar' => 'required|string',

        ]);

        $id= StaticContent::get()->pluck('id')->first();
        $staticcontent = StaticContent::find($id);
        if($staticcontent!=null){
            $staticcontent->about_us=$request->about_us;
            $staticcontent->about_us_ar=$request->about_us_ar;
            $staticcontent->phone=$request->phone;
            $staticcontent->privacy_policy=$request->privacy_policy;
            $staticcontent->terms_and_conditions=$request->terms_and_conditions;
            $staticcontent->privacy_policy_ar=$request->privacy_policy_ar;
            $staticcontent->terms_and_conditions_ar=$request->terms_and_conditions_ar;
            $staticcontent->email=$request->email;
            $staticcontent->address=$request->address;
            $staticcontent->address_ar=$request->address_ar;

            $staticcontent->update();

            return redirect()->back()
            ->with('success', 'Static Content Updated Successfully.');
            }else{

            StaticContent::create([
            'about_us' => $request->about_us,
            'about_us_ar' => $request->about_us_ar,
            'phone' => $request->phone,
            'privacy_policy'=>$request->privacy_policy,
            'terms_and_conditions' => $request->terms_and_conditions,
            'address' => $request->address,
            'privacy_policy_ar'=>$request->privacy_policy_ar,
            'terms_and_conditions_ar' => $request->terms_and_conditions_ar,
            'address_ar' => $request->address_ar,
            'email' => $request->email,
        ]);
        return redirect()->back()
        ->with('success', 'Static Content Created Successfully.');
        }
     
    }
  
}
