<?php

namespace App\Http\Controllers\Dashboard;

use App\Http\Controllers\Controller;
use App\Models\StaticContent;

use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;
use Illuminate\Validation\Validator;
use Illuminate\Support\Facades\File;
use Illuminate\Support\Facades\Hash;

class StaticContentController extends Controller
{
  
    public function create()
    {
        $staticcontents = StaticContent::get();
       
        $id= StaticContent::get()->pluck('id')->first();
     
        return view('pages.staticcontents.staticcontentscreate',compact('staticcontents','id'));
    }

    
    public function update(Request $request)
    {
        $request->validate([
            'about_us'=>'nullable|string',
            'about_us_ar'=>'nullable|string',

            'phone' => 'nullable|numeric',
            'delivery_fee' => 'nullable|numeric',

            'privacy_policy'=>'nullable|string',
            'terms_and_conditions'=>'nullable|string',
            'privacy_policy_ar'=>'nullable|string',
            'terms_and_conditions_ar'=>'nullable|string',
        ]);

        $id= StaticContent::get()->pluck('id')->first();
        $staticcontent = StaticContent::find($id);
        if($staticcontent!=null){
            $staticcontent->about_us=$request->about_us;
            $staticcontent->about_us_ar=$request->about_us_ar;
            $staticcontent->phone=$request->phone;
            $staticcontent->delivery_fee=$request->delivery_fee;
            $staticcontent->privacy_policy=$request->privacy_policy;
            $staticcontent->terms_and_conditions=$request->terms_and_conditions;
            $staticcontent->privacy_policy_ar=$request->privacy_policy_ar;
            $staticcontent->terms_and_conditions_ar=$request->terms_and_conditions_ar;

            $staticcontent->update();

            return redirect()->back()
            ->with('success', 'Static Content Updated Successfully.');
            }else{

            StaticContent::create([
            'about_us' => $request->about_us,
            'about_us_ar' => $request->about_us_ar,
            'phone' => $request->phone,
            'delivery_fee' => $request->delivery_fee,
            'privacy_policy'=>$request->privacy_policy,
            'terms_and_conditions' => $request->terms_and_conditions,
            'privacy_policy_ar'=>$request->privacy_policy_ar,
            'terms_and_conditions_ar' => $request->terms_and_conditions_ar,
        ]);
        return redirect()->back()
        ->with('success', 'Static Content Created Successfully.');
        }
     
    }
  
}
