<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Models\User;
use App\Models\Product;
use App\Models\Order;

class HomeController extends Controller
{
    /**
     * Create a new controller instance.
     *
     * @return void
     */
    public function __construct()
    {
        $this->middleware('auth');
    }

    /**
     * Show the application dashboard.
     *
     * @return \Illuminate\Contracts\Support\Renderable
     */
    public function index()
    {
        $products = Product::all();
        $orders = Order::all();
        $users = User::where('role_id',2)->get();
        $latestproducts=Product::orderBy('created_at','DESC')->limit(6)->get();
        $latestorders=Order::orderBy('created_at','DESC')->limit(6)->get();

        $data = [
            'users' => $users,
            'orders' => $orders,
            'latestproducts' => $latestproducts,
            'latestorders' => $latestorders,
            'products' => $products
        ];
        return view('home',  $data);
    }
}
