<?php

namespace App\Http\Resources;

use Illuminate\Http\Resources\Json\JsonResource;
use App\Models\Cart;
use App\Models\User;
use App\Models\Product;

class ARCartResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return array|\Illuminate\Contracts\Support\Arrayable|\JsonSerializable
     */
    public function toArray($request)
    {
        return[
            'id' => $this->id,
            'amount' => $this->amount,
            'price' => $this->price,
            'product' => $this->product->name_ar,
            'product_image' => $this->product->image,
            'product_id' => $this->product->id,
            'category' => $this->product->category->name_ar,
            'options' => new ARExtraOptionHomeResource($this->options),
        ];
    }
}
