<?php

namespace App\Http\Resources;

use Illuminate\Http\Resources\Json\JsonResource;
use App\Models\Cart;
use App\Models\User;
use App\Models\Product;

class CartsResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return array|\Illuminate\Contracts\Support\Arrayable|\JsonSerializable
     */
    public function toArray($request)
    {
        $carts = array();
        foreach ($this->resource as $cart){
            $carts[] = array(
        
                'id' => $cart->id,
                'amount' => $cart->amount,
                'price' => $cart->price,
                'product' => $cart->product ? $cart->product->name : null,
                'product_image' => $cart->product ? $cart->product->image : null,
                'product_id' => $cart->product ? $cart->product->id : null,
                'category' => $cart->product ? $cart->product->category->name : null,
                'options' => new ExtraOptionHomeResource($cart->options),
            );
        }
        return $carts;
    }
}
