<?php

namespace App\Http\Resources;

use Illuminate\Http\Resources\Json\JsonResource;
use App\Models\Category;

class CategoriesResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return array|\Illuminate\Contracts\Support\Arrayable|\JsonSerializable
     */
    public function toArray($request)
    {
        $categories = array();
        foreach ($this->resource as $category) {
            $categories[] = array(
        
                'id' => $category->id,
                'name' => $category->name,
                'image' => $category->image,
                'products' => new ProductsResource(getProducts($category, $request->keyword, $request->branch_id))

            );
        }
        return $categories;
    }
}
