<?php

namespace App\Http\Resources;

use Illuminate\Http\Resources\Json\JsonResource;
use App\Models\Coupon;

class CouponsResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return array|\Illuminate\Contracts\Support\Arrayable|\JsonSerializable
     */
    public function toArray($request)
    {
        $coupons = array();
        foreach ($this->resource as $coupon) {
            $coupons[] = array(
        
                'id' => $coupon->id,
                'code' => $coupon->code,
                'value' => $coupon->value,
                'times_used' => $coupon->times_used,
                'type' => $coupon->type,
                'expired_at' => $coupon->expire_date->toDayDateTimeString(),

            );
        }
        return $coupons;
    }
}
