<?php

namespace App\Http\Resources;

use Illuminate\Http\Resources\Json\JsonResource;
use App\Models\Extra;
use App\Models\ExtraProduct;

class ExtraResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return array|\Illuminate\Contracts\Support\Arrayable|\JsonSerializable
     */
    public function toArray($request)
    {
        $extras = array();
        foreach ($this->resource as $extraproduct) {
            $extras[] = array(
                'id' => $extraproduct->extra->id,
                'name' => $extraproduct->extra->name,
                'is_required' => $extraproduct->extra->is_required,
                'is_multiple' => $extraproduct->extra->multiple,
                'options' => new ExtraOptionResource(getOptions($extraproduct->extra_id,$extraproduct->product_id)),
            );
        }
        return $extras;
    }
}
