<?php

namespace App\Http\Resources;

use Illuminate\Http\Resources\Json\JsonResource;

class NotificationResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return array|\Illuminate\Contracts\Support\Arrayable|\JsonSerializable
     */
    public function toArray($request)
    {
        $pagination = new PaginationResource($this);
        $notifications = array();
        foreach ($this->resource as $notification) {
            $notifications[] = array(
        
            'id' => $notification->id,
            'title' => $notification->notification->title,
            'body' => $notification->notification->body,
            'order_number' => $notification->notification->order ? $notification->notification->order->order_number : null,
            'image' => $notification->notification->order ? ($notification->notification->order->carts()->first() ? $notification->notification->order->carts()->first()->product->image : null) : null,
            'order_id' => $notification->notification->order ? $notification->notification->order->id : null,
            'time' => $notification->notification->created_at->toDayDateTimeString(),
        );
    }
        // return $notifications;
        return [
            'page_info' => $pagination,
            'data' => $notifications,
        ];
    }
}
