<?php

namespace App\Http\Resources;

use Illuminate\Http\Resources\Json\JsonResource;
use Illuminate\Support\Facades\Auth;

use App\Models\Category;
use App\Models\Product;
use App\Models\Extra;
use App\Models\Option;
use App\Models\ExtraProduct;

class ProductResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return array|\Illuminate\Contracts\Support\Arrayable|\JsonSerializable
     */
    public function toArray($request)
    {
      
        return[
            'id' => $this->id,
            'name' => $this->name,
            'description' => $this->description,
            'image' => $this->image,
            'image_best_seller' => $this->image_best_seller,
            'branch_id' => $this->branch_id,
            'price' => $this->price,
            'discount_price' => $this->discount_price,
            'in_cart' => Auth::guard('api')->check() ? inCart($this->id,auth("api")->user()->id) : 0,
            'category' => $this->category->name,
            'category_id' => $this->category->id,
            'extras' => new ExtraResource($this->extraProducts),

        ];

    }
}
