<?php

namespace App\Http\Resources;

use Illuminate\Http\Resources\Json\JsonResource;
use App\Models\User;

class UserResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return array|\Illuminate\Contracts\Support\Arrayable|\JsonSerializable
     */
    public function toArray($request)
    {
        return [
            'id' => $this->id,
            'name' => $this->name  ? $this->name : null,
            'phone' => $this->phone,
            'branch' => $this->branch_id == 1 ? 'Tartous' : 'Lattakia',
            'address' => $this->address ? $this->address : null,
            'role' => $this->role->name,
            'lang' => $this->lang,

        ];
    }
}
