<?php

namespace App\Listeners;

use Illuminate\Contracts\Queue\ShouldQueue;
use Illuminate\Queue\InteractsWithQueue;
use App\Consumers\Notifications;
use App\Events\NotificationCreatedEvent;
use App\Models\Device;

class NotificationListener
{
    /**
     * Create the event listener.
     *
     * @return void
     */
    public function __construct()
    {
        //
    }

    /**
     * Handle the event.
     *
     * @param  object  $event
     * @return void
     */
    public function handle(NotificationCreatedEvent $event)
    {
        $this->onCreate($event->notification,$event->receiver_id);
    }

    public function onCreate($notification,$receiver_id)
    {
        $firebase_tokens = Device::whereIn('user_id', $receiver_id)->pluck('firebase_token')->toArray();

        if (count($firebase_tokens) != 0 ){
            $firebase_token = array_chunk($firebase_tokens,500);
            $noti = new Notifications();
            foreach($firebase_token as $tokens){
            $noti->send($notification, $tokens);
            }
            return array_merge( ['notification' => $noti]);
        }
        return 0;

    }
    // public function subscribe($events)
    // {
    //     $events->listen(
    //         NotificationCreatedEvent::class,
    //         'App\Listeners\NotificationListener@onCreate'
    //     );

    // }
}
