<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Cart extends Model
{
    use HasFactory;

    protected $fillable=[
        'amount',
        'product_id',
        'user_id',
        'price',
        'ordered',
        'order_id',
        
    ];

    public function product()
    {
        return $this->belongsTo(Product::class,'product_id');
    }

    public function user()
    {
        return $this->belongsTo(User::class);
    }

    public function order()
    {
        return $this->belongsTo(Order::class);
    }

    public function market()
    {
        return $this->belongsTo(Market::class);
    }

    public function options(){
        return $this->hasMany(CartOption::class);
    }
    
}
