<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

use App\Models\User;

class Order extends Model
{
    use HasFactory;

    protected $fillable=[
        'user_id',
        'delivery_id',
        'coupon_id',
        'address_id',
        'type',
        'status',
        'estimated_time',
        'order_number',
        'total_price',
        'delivery_price',
        'latitude',
        'longitude',
        'note',
        'address',
        'address_name',
        'address_details',
    ];

    public function user()
    {
        return $this->belongsTo(User::class, 'user_id');
    }

    public function boy()
    {
        return $this->belongsTo(User::class, 'delivery_id');
    }

    public function oAddress()
    {
        return $this->belongsTo(Address::class,'address_id');
    }

    public function coupon()
    {
        return $this->belongsTo(Coupon::class);
    }

    public function carts()
    {
        return $this->hasMany(Cart::class);
    }

    public function notification()
    {
        return $this->hasMany(Notification::class);
    }

    public static function generateOrderNumber(){
        $orderNumber = '#' . mt_rand(10000000,99999999);
        $sameOrder = Self::where('order_number', $orderNumber)->first();
        
        while ($sameOrder != null) {
            $orderNumber = '#' . mt_rand(10000000,99999999);
            $sameOrder = Self::where('order_number', $orderNumber)->first();
        }

        return $orderNumber;
    }

    public function deliveries($branchId){
        if($branchId == 1){
            $deliveries = User::where('branch_id', 1)->where('role_id',3)->get();
        } else if($branchId == 2){
            $deliveries = User::where('branch_id', 2)->where('role_id',3)->get();
        } else {
            $deliveries = User::where('role_id',3)->get();
        }
        
        return $deliveries;
    }
}
