<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Product extends Model
{
    use HasFactory;

    protected $fillable=[
        'name',
        'name_ar',
        'description',
        'description_ar',
        'image',
        'category_id',
        'price',
        'image_best_seller',
        'discount_price',
        'branch_id'
    ];

    public function category()
    {
        return $this->belongsTo(Category::class);
    }

    public function extraProducts(){
        return $this->hasMany(ExtraProduct::class);
    }

    public function carts(){
        return $this->hasMany(Cart::class);
    }

    public function sizes(){
        return $this->hasMany(Size::class);
    }

}
