<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class UpdateColumnsInOrdersTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('orders', function (Blueprint $table) {
            $table->dropForeign(['coupon_id']);
            $table->foreign('coupon_id')
            ->references('id')
            ->on('coupons')
            ->onDelete('cascade');

            $table->dropForeign(['address_id']);
            $table->foreign('address_id')
            ->references('id')
            ->on('addresses')
            ->onDelete('cascade');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('orders', function (Blueprint $table) {
            $table->foreignId('coupon_id')->nullable();
            $table->foreign('coupon_id')
                ->references('id')
                ->on('coupons');
                
            $table->foreignId('address_id')->nullable();
            $table->foreign('address_id')
                ->references('id')
                ->on('addresses');
        });
    }
}
