<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

use App\Models\Notification;

class AddStatusToNotificationsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        $notifications = Notification::all();

        Schema::table('notifications', function (Blueprint $table) {
            $table->string('status')->nullable()->after('body');
        });

        foreach($notifications as $notification){
            $notification->update([
                'status' => $notification->order ? $notification->order->status : null,
            ]);
        }
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('notifications', function (Blueprint $table) {
            $table->dropColumn('status');
        });
    }
}
