<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

use App\Models\CartOption;

class AddColumnsToCartOptionsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        $options = CartOption::all();

        Schema::table('cart_options', function (Blueprint $table) {
            $table->string('name')->nullable();
            $table->string('name_ar')->nullable();
            $table->integer('price')->default(0);
        });

        foreach($options as $option){
            $option->update([
                'name' => $option->extraOption ? $option->extraOption->name : null,
                'name_ar' => $option->extraOption ? $option->extraOption->name_ar : null,
                'price' => $option->extraOption ? $option->extraOption->price : 0,
            ]);
        }
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('cart_options', function (Blueprint $table) {
            $table->dropColumn('name');
            $table->dropColumn('name_ar');
            $table->dropColumn('price');
        });
    }
}
