@extends('layouts.layout')
    <style>
        .bg-warnin{
            color: white!important;
        }
        .sidebar{
         background-color: white!important;
      }
   
    </style>
@section('content-wrapper')
    <!-- Content Header (Page header) -->
    <section class="content-header">
        <div class="container-fluid">
            <div class="row mb-2">
                <div class="col-sm-6">
                    <h1>Dashboard</h1>
                </div>
                <div class="col-sm-6">
                    <ol class="breadcrumb float-sm-right">
                        <li class="breadcrumb-item"><a href="{{ route('home') }}">Home</a></li>
                        <li class="breadcrumb-item active">Dashboard</li>
                    </ol>
                </div>
            </div>
        </div><!-- /.container-fluid -->
    </section>

    <!-- Main content -->
    <section class="content">
        <div class="container-fluid">
          <!-- Small boxes (Stat box) -->
          <div class="row">
            <div class="col-lg-4 col-6">
                <!-- small box -->
                <div class="small-box bg-warnin" style="color:white!important">
                    <div class="inner">
                        <h3  style="color:white!important">{{$orders->count()}}</h3>

                        <p  style="color:white!important">Total Orders</p>
                    </div>
                    <div class="icon">
                        <i class="fa fa-shopping-bag"></i>
                    </div>
                    <a href="{{ route('orderslist') }}" class="small-box-footer"  style="color:white!important">More Info
                        <i class="fa fa-arrow-circle-right"></i></a>
                </div>
            </div>
            <!-- ./col -->
            <div class="col-lg-4 col-6">
                <!-- small box -->
                <div class="small-box bg-warnin"  style="color:white!important">
                    <div class="inner">
                  <h3  style="color:white!important">{{$products->count()}}</h3>
                        
                        <p  style="color:white!important">Total Products </p>
                    </div>
                    <div class="icon">
                        {{-- <i class="fa fa-archive"></i> --}}
                        <i class="fas fa-boxes"></i>
                    </div>
                    <a href="{{ route('productslist') }}" class="small-box-footer"  style="color: white!important">More Info
                        <i class="fa fa-arrow-circle-right"></i></a>
                </div>
            </div>
            <!-- ./col -->
            <!-- ./col -->
            <div class="col-lg-4 col-6">
                <!-- small box -->
                <div class="small-box bg-warnin" style="color:white!important">
                    <div class="inner">
                        <h3  style="color:white!important">{{$users->count()}}</h3>

                        <p  style="color:white!important">Total User</p>
                    </div>
                    <div class="icon">
                        <i class="fa fa-group"></i>
                    </div>
                    <a href="{{ route('userslist') }}" class="small-box-footer"  style="color: white!important">More Info
                        <i class="fa fa-arrow-circle-right"></i></a>
                </div>
            </div>
            <!-- ./col -->

        </div>
        <!-- /.row -->
        <div class="row">
                   <!-- Left col -->
         <div class="col-md-6">
            <!-- TABLE: LATEST Products -->
            <div class="card">
                <div class="card-header border-transparent">
                <h3 class="card-title">Recently Added Products</h3>

                <div class="card-tools">
                    <button type="button" class="btn btn-tool" data-card-widget="collapse">
                    <i class="fas fa-minus"></i>
                    </button>
            
                </div>
                </div>
                <!-- /.card-header -->
                <div class="card-body p-0">
                <div class="table-responsive">
                    <table class="table m-0">
                    <thead>
                    <tr>
                        <th>Product</th>
                        <th>Price</th>
                        <th>Category</th>

                    </tr>
                    </thead>
                    <tbody>
                        @foreach ($latestproducts as $product)
                        <tr>
                            <td>
                                <img src="{{ $product->image}}" 
                                onerror="this.src='{{asset('public/frontend/images/noimage.jpg')}}'" alt="{{ $product->image}}" class="img-circle img-size-32 mr-2">
                                {{ $product->name ?? '-'}}
                              </td> 
                    
                            <td>  <span class="badge badge-pill badge-warning">{{ $product->price ?? '-'}}</span></td>
                            <td>{{ $product->category->name ?? '-'}}</td>
 
                        </tr>
                        @endforeach
                    </tbody>
                    </table>
                </div>
                <!-- /.table-responsive -->
                </div>
                <!-- /.card-body -->
            
                <div class="card-footer text-center">
                    <a href="{{ route('productslist') }}"  class="btn btn-sm btn-secondary float-right "
                    style="background-color: #F4802B;border:#F4802B">View All Products</a>
                  </div>
                  <!-- /.card-footer -->
                <!-- /.card-footer -->
            </div>
            <!-- /.card -->
         </div>
           <!-- ./col -->
            <!-- right col -->
         <div class="col-md-6">
            <!-- TABLE: LATEST ORDERS -->
            <div class="card">
                <div class="card-header border-transparent">
                <h3 class="card-title">Latest Orders</h3>

                <div class="card-tools">
                    <button type="button" class="btn btn-tool" data-card-widget="collapse">
                    <i class="fas fa-minus"></i>
                    </button>
            
                </div>
                </div>
                <!-- /.card-header -->
                <div class="card-body p-0">
                <div class="table-responsive">
                    <table class="table m-0">
                    <thead>
                    <tr>
                        <th>Order Number</th>
                        <th>Price</th>
                        <th>Customer</th>

                        <th>Status</th>
                    </tr>
                    </thead>
                    <tbody>
                        @foreach ($latestorders as $order)
                        <tr>
                            <td style="color:#2DC711">{{ $order->order_number ?? '-'}}</td>
                            <td>{{ $order->total_price ?? '-'}}</td>
                            <td>{{ $order->user->name ?? '-'}}</td>

                            <td>
                            @if( $order->status=="delivered")
                            <span class="badge badge-info">Delivered</span>
                            @elseif($order->status=="pending")
                            <span class="badge badge-warning">Pending</span>
                            @elseif($order->status=="pickedup")
                            <span class="badge badge-success">Pickedup</span>
                            @elseif($order->status=="failed")
                            <span class="badge badge-danger">Failed</span>
                            @endif
                            
                            </td>
                        
                        
                        </tr>
                        @endforeach
                    </tbody>
                    </table>
                </div>
                <!-- /.table-responsive -->
                </div>
                <!-- /.card-body -->
                <div class="card-footer clearfix">
                <a href="{{ route('orderslist') }}" class="btn btn-sm btn-secondary float-right "
                 style="background-color: #F4802B;border:#F4802B">View All Orders</a>
                </div>
                <!-- /.card-footer -->
            </div>
            <!-- /.card -->
         </div>
           <!-- ./col -->

     
        </div>
           <!-- /.row -->
          </div>
          <!-- /.row -->
    
      </section>

    <!-- /.content -->
@endsection


