@extends('layouts.layout')

@section('content-wrapper')
    <!-- Content Header (Page header) -->
    @push('css')

    <!-- summernote -->
    <style>
    #map{
        height: 200px;
        width: 100%;
        }

    </style>
    <section class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h1>Edit Address</h1>
          </div>
          <div class="col-sm-6">
            <ol class="breadcrumb float-sm-right">
              <li class="breadcrumb-item"><a href="{{ route('home') }}">Home</a></li>
              <li class="breadcrumb-item active">edit address</li>
            </ol>
          </div>
        </div>
      </div><!-- /.container-fluid -->
    </section>
    @foreach ($address as $address)
    <section class="content">
      <form  method="POST" action="{{route('addressesupdate', $address->id)  }}"enctype="multipart/form-data">
        @csrf
      
       
            <div class="container-fluid">
              {{-- @if ($errors->any())
              <div class="alert alert-danger">
                  <strong>Whoops!</strong> There were some problems with your input.<br><br>
                  <ul>
                      @foreach ($errors->all() as $error)
                          <li>{{ $error }}</li>
                      @endforeach
                  </ul>
              </div>
          @endif --}}
 
              
              <div class="row">
                <!-- left column -->
      
        <div class="col-md-12">
          <!-- jquery validation -->
          <div class="card card-primary">
            <div class="card-header">
              <h3 class="card-title">Edit Address</h3>
            </div>
            <!-- /.card-header -->
            <!-- form start -->
            <form id="quickForm">
              <div class="card-body">
            
                <div class="row">
                  <div class="form-group col-lg-6 col-md-6 col-sm-6">
                    
                      <label for="exampleInput">Label as:</label>

                      <select id="extras-select" class="category-select form-control
                          @error('label_as') is-invalid @enderror"
                          name="label_as"
                          required>
                          <option {{ empty($selected) ? 'selected' : '' }} disabled>Please Select</option>
                              <option value="Home" @if($address->type == 'Home') selected @endif>Home</option>
                              <option value="Work" @if($address->type == 'Work') selected @endif>Work</option>
                              <option value="Other" @if($address->type == 'Other') selected @endif>Other</option>
                          </select>
                          @error('label_as')
                          <span class="invalid-feedback" role="alert">
                              <strong>{{ $message }}</strong>
                          </span>
                          @enderror
                  </div>
                  <div class="form-group col-lg-6 col-md-6 col-sm-6">
                                          
                    <label for="exampleInput">Customer:</label>

                    <select id="extras-select" class="category-select form-control
                        @error('user_id') is-invalid @enderror"
                        name="user_id"
                        required>
                        <option {{ empty($selected) ? 'selected' : '' }} disabled>Please Select</option>
                        @foreach($users as $user)
                                <option @if($user->id == $address->user_id) selected @endif value="{{$user->id}}">{{$user->name}}</option>
                        @endforeach
                        </select>
                        @error('user_id')
                        <span class="invalid-feedback" role="alert">
                            <strong>{{ $message }}</strong>
                        </span>
                        @enderror
                </div>
              </div>
                <div class="row">
                  <div class="form-group col-lg-6 col-md-6 col-sm-6">
                   <label for="exampleInput">Address:</label>
                      <input type="text" id="address" class="form-control @error('address') is-invalid @enderror" value="{{$address->address}}" name="address"
                          class="form-control" placeholder="Address" required>
                          @error('address')
                          <span class="invalid-feedback" role="alert">
                              <strong>{{ $message }}</strong>
                          </span>
                      @enderror
                  </div>
                  <div class="form-group col-lg-6 col-md-6 col-sm-6">
                      <label for="exampleInput">Address Details:</label>
                         <input type="text"  class="form-control @error('address_details') is-invalid @enderror" value="{{$address->address_details}}"
                          name="address_details" class="form-control" placeholder="Address Details" required>
                             @error('address_details')
                             <span class="invalid-feedback" role="alert">
                                 <strong>{{ $message }}</strong>
                             </span>
                         @enderror
                     </div>
                  </div>
           
                  
              {{-- <div class="form-group">

                  <label class="form-label" for="address">
                      Search Location
                  </label>
                  <input type="text"
                      class="form-control @error('Location') is-invalid @enderror"
                      id="address" placeholder="Search Location" name="Location"
                      value="{{ old('address') }}">
                  @error('Location')
                      <span class="invalid-feedback" role="alert">
                          <strong>{{ $message }}</strong>
                      </span>
                  @enderror
              </div> --}}

              <div class="form-group">
                  <div class="col-lg-12 text-center">
                      <div id="map" style="height:400px!important;
                      width: 100%;position:fixed!important;"></div>
                      <div class="mb-3 form-group">
                          <input type="hidden" name="latitude" id="latitude" value="{{$address->latitude}}">
                          <input type="hidden" name="longitude" id="longitude" value="{{$address->longitude}}">
                      </div>
                  </div>
              </div>
              <!-- End Row -->
              </div>

             <!-- /.card-body -->
              <div class="card-footer">
                  <button type="submit" class="btn btn-primary">Submit</button>
              </div>

         
          </div>
          <!-- /.card -->
          </div>
          </div>
        </div>

  </form>

    </section> 
    @endforeach
 
    <!-- Main content -->
    
<!-- /.content -->
</div>

@endsection
@push('scripts')

<script>
  $(function () {
      //Date picker
      $('#reservationdate').datetimepicker({
          // format: 'L'
      });
  })
</script>
<script type="text/javascript">
  var map;

  function initMap() {
      var latitude = parseFloat($('#latitude').val());
      var longitude = parseFloat($('#longitude').val());

      var myLatLng = {
          lat: latitude,
          lng: longitude
      };

      map = new google.maps.Map(document.getElementById('map'), {
          center: myLatLng,
          zoom: 14
      });

      var marker = new google.maps.Marker({
          position: myLatLng,
          map: map,
          draggable: true,
          title: 'Choose Location',

          // setting latitude & longitude as title of the marker
          // title is shown when you hover over the marker
          title: latitude + ', ' + longitude
      });

      google.maps.event.addListener(marker, 'dragend', function(evt) {
          document.getElementById('latitude').value = evt.latLng.lat();
          document.getElementById('longitude').value = evt.latLng.lng();
      });

      var searchBox = new google.maps.places.SearchBox(document.getElementById('address'));
      map.controls[google.maps.ControlPosition.TOP_CENTER].push(document.getElementById('pac-input'));
      google.maps.event.addListener(searchBox, 'places_changed', function() {
          searchBox.set('map', null);

          marker.setMap(null);

          var places = searchBox.getPlaces();

          var bounds = new google.maps.LatLngBounds();
          var i, place;
          for (i = 0; place = places[i]; i++) {
              (function(place) {
                  var newMarker = new google.maps.Marker({
                      position: place.geometry.location,
                      draggable: true,
                  });

                  google.maps.event.addListener(newMarker, 'dragend', function(evt) {
                      document.getElementById('latitude').value = evt.latLng.lat();
                      document.getElementById('longitude').value = evt.latLng.lng();
                  });

                  if (i == 0) {
                      document.getElementById('latitude').value = place.geometry.location.lat();
                      document.getElementById('longitude').value = place.geometry.location.lng();
                  }

                  newMarker.bindTo('map', searchBox, 'map');
                  google.maps.event.addListener(newMarker, 'map_changed', function() {
                      if (!this.getMap()) {
                          this.unbindAll();
                      }
                  });
                  bounds.extend(place.geometry.location);

              }(place));

          }

          map.fitBounds(bounds);
          searchBox.set('map', map);
          map.setZoom(Math.min(map.getZoom(), 12));
      });
  }
</script>
<script
  src="https://maps.googleapis.com/maps/api/js?libraries=places&key=AIzaSyA0FIH-5-oqUs3_DOxdcxHletU9cXP8sGU&callback=initMap"
  async defer></script>
    @endpush
