@extends('layouts.layout')

@section('content-wrapper')
    <!-- Content Header (Page header) -->
    <section class="content-header">
        <div class="container-fluid">
            <div class="row mb-2">
                <div class="col-sm-6">
                    <h1>Addresses List</h1>
                </div>
                <div class="col-sm-6">
                    <ol class="breadcrumb float-sm-right">
                        <li class="breadcrumb-item"><a href="{{ route('home') }}">Home</a></li>
                        <li class="breadcrumb-item active">Addresses</li>
                    </ol>
                </div>
            </div>
        </div><!-- /.container-fluid -->
    </section>

    <!-- Main content -->
    <section class="content">

        <!-- Default box -->
    
            <div class="card">
                <div class="card-header">
                  <h3 class="card-title">Addresses</h3>
                </div>
                <!-- /.card-header -->
                <div class="card-body">
                  <table id="example1" class="table table-bordered table-striped">
                    <thead>
                        <tr class="text-center">
                          
                            <th style="width: 10%">
                                Address
                            </th>
                            <th style="width: 10%">
                                Address Details 
                            </th>
                            <th style="width: 19%">
                                Label As
                            </th>
                            <th style="width: 19%">
                                Customer
                            </th>

                           
                            <th style="width: 15%" class="text-center">
                                Action
                            </th>
                        </tr>
                    </thead>
                    <tbody>
                        @foreach ($addresses as $address)
                        <tr>
                            <td>{{ $address->address ?? '-'}}</td>
                            <td>{{ $address->address_details ?? '-'}}</td>
                            <td>{{ $address->label_as ?? '-'}}</td>
                            <td>{{ $address->user->name ?? '-'}}</td>

                            <td >
                                    <form action="{{ route('addressesdelete',$address->id) }}" method="Post">
                                        <a class="btn btn-primary" href="{{ route('addressesedit',$address->id) }}">Edit</a> 
                                        @csrf
                                        @method('post')
                                        <button type="submit"  class="btn btn-danger confirm-button">Delete</button>
                                    </form>
                            </td>
                        </tr>
                        @endforeach
                    </tbody>
            
                 
                
                  </table>
                </div>
                <!-- /.card-body -->
              </div>
              <!-- /.card -->

         </div>
        <!-- /.card --> 

    </section>

    <!-- /.content -->
@endsection

@push('scripts')
<!-- Page specific script -->
<script src="https://cdnjs.cloudflare.com/ajax/libs/sweetalert/2.1.0/sweetalert.min.js"></script>
<script>
    $(function () {
      $("#example1").DataTable({
        "responsive": true, "lengthChange": false, "autoWidth": false,"ordering": false,
        "buttons": ["copy", "csv", "excel", "pdf", "print", "colvis"]
      }).buttons().container().appendTo('#example1_wrapper .col-md-6:eq(0)');
      $('#example2').DataTable({
        "paging": true,
        "lengthChange": false,
        "searching": false,
        "ordering": true,
        "info": true,
        "autoWidth": false,
        "responsive": true,
      });
    });
  </script>

<script type="text/javascript">

    $('.confirm-button').click(function(event) {
        var form =  $(this).closest("form");
        event.preventDefault();
        swal({

            title: `Are you sure you want to delete this record?`,
            text: "If you delete this, it will be gone forever.",
            icon: "warning",
            buttons: true,
            dangerMode: true,
        })
            .then((willDelete) => {
                if (willDelete) {
                    form.submit();
                }
            });
    });

</script>
@endpush
