@extends('layouts.layout')

@section('content-wrapper')
    <!-- Content Header (Page header) -->
   
    <section class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h1>Edit Category</h1>
          </div>
          <div class="col-sm-6">
            <ol class="breadcrumb float-sm-right">
              <li class="breadcrumb-item"><a href="{{ route('home') }}">Home</a></li>
              <li class="breadcrumb-item active">edit category</li>
            </ol>
          </div>
        </div>
      </div><!-- /.container-fluid -->
    </section>
    @foreach ($category as $category)
    <section class="content">
      <form  method="POST" action="{{route('categoriesupdate', $category->id)  }}"enctype="multipart/form-data">
        @csrf
      
       
            <div class="container-fluid">
              {{-- @if ($errors->any())
              <div class="alert alert-danger">
                  <strong>Whoops!</strong> There were some problems with your input.<br><br>
                  <ul>
                      @foreach ($errors->all() as $error)
                          <li>{{ $error }}</li>
                      @endforeach
                  </ul>
              </div>
          @endif --}}
 
              
              <div class="row">
                <!-- left column -->
      
        <div class="col-md-12">
          <!-- jquery validation -->
          <div class="card card-primary">
            <div class="card-header">
              <h3 class="card-title">Edit Category</h3>
            </div>
            <!-- /.card-header -->
            <!-- form start -->
            <form id="quickForm">
              <div class="card-body">
            
             
                <div class="row">
                 <div class="form-group col-lg-6 col-md-6 col-sm-6">
                  <label for="exampleInputcountry">English Name:</label>

                  <input type="text" class="form-control @error('name') is-invalid @enderror" 
                  value="{{ $category->name }}" name="name" class="form-control" placeholder="English Name" required>
                  @error('name')
                  <span class="invalid-feedback" role="alert">
                      <strong>{{ $message }}</strong>
                  </span>
              @enderror
            
                 </div>
                      
                 <div class="form-group col-lg-6 col-md-6 col-sm-6">
                  <label for="exampleInputcountry">Arabic Name:</label>

                  <input type="text" class="form-control @error('name_ar') is-invalid @enderror" 
                  value="{{ $category->name_ar }}" name="name_ar" class="form-control" placeholder="Arabic Name" required>
                  @error('name_ar')
                  <span class="invalid-feedback" role="alert">
                      <strong>{{ $message }}</strong>
                  </span>
              @enderror
            
                 </div>
                </div>
                 <div class="row">
               <div class="form-group col-lg-6 col-md-6 col-sm-6">
               
                <label for="exampleInput">Image:</label>
                <input type="file" name="image" class="form-control @error('image') is-invalid @enderror" 
                name="image" accept="image/png,.jpg,.jpeg" id="image">
                <img id="preview-image-before-upload"
                src="{{ asset($category->image) }}" alt="preview image" style="max-height: 100px;">
                @error('image')
                <span class="invalid-feedback" role="alert">
                    <strong>{{ $message }}</strong>
                </span>
            @enderror

             </div>
            </div>
      
 
  

       
         
              </div>
              <!-- /.card-body -->
              <div class="card-footer">
                <button type="submit" class="btn btn-primary">Update</button>
              </div>

         
          </div>
          <!-- /.card -->
          </div>
          </div>
        </div>

  </form>

    </section> 
    @endforeach
 
    <!-- Main content -->
    
<!-- /.content -->
</div>

@endsection
@push('scripts')

<script src="https://code.jquery.com/jquery-3.5.1.min.js"></script>
     <script type="text/javascript">
      
    $(document).ready(function (e) {
     
       
       $('#image').change(function(){
                
        let reader = new FileReader();
     
        reader.onload = (e) => { 
     
          $('#preview-image-before-upload').attr('src', e.target.result); 
        }
     
        reader.readAsDataURL(this.files[0]); 
       
       });
       
    });
     
    </script>
    @endpush
