@extends('layouts.layout')

@section('content-wrapper')
    <!-- Content Header (Page header) -->

    <section class="content-header">
        <div class="container-fluid">
            <div class="row mb-2">
                <div class="col-sm-6">
                    <h1>Create Coupon</h1>
                </div>
                <div class="col-sm-6">
                    <ol class="breadcrumb float-sm-right">
                        <li class="breadcrumb-item"><a href="{{ route('home') }}">Home</a></li>
                        <li class="breadcrumb-item active">create coupon</li>
                    </ol>
                </div>
            </div>
        </div><!-- /.container-fluid -->
    </section>
    <section class="content">
        <form method="POST" action="{{ route('couponsstore') }}"enctype="multipart/form-data">
            @csrf

            <div class="container-fluid">
                <div class="row">
                    <!-- left column -->

                    <div class="col-md-12">
                        <!-- jquery validation -->
                        <div class="card card-primary">
                            <div class="card-header">
                                <h3 class="card-title">Create Coupon</h3>
                            </div>
                            <!-- /.card-header -->
                            <!-- form start -->
                            <form id="quickForm">
                                <div class="card-body">


                                    <div class="row">
                                    <div class="form-group col-lg-6 col-md-6 col-sm-6">
                                     <label for="exampleInput">Code:</label>
                                        <input type="text"  class="form-control @error('code') is-invalid @enderror" value="{{ old('code') }}" name="code"
                                            class="form-control" placeholder="Code" required>
                                            @error('code')
                                            <span class="invalid-feedback" role="alert">
                                                <strong>{{ $message }}</strong>
                                            </span>
                                        @enderror
                                    </div>
                                    <div class="form-group col-lg-6 col-md-6 col-sm-6">
                                        <label for="exampleInput">Value:</label>
                                           <input type="text"  class="form-control @error('value') is-invalid @enderror" value="{{ old('value') }}"
                                            name="value" class="form-control" placeholder="Value" required>
                                               @error('value')
                                               <span class="invalid-feedback" role="alert">
                                                   <strong>{{ $message }}</strong>
                                               </span>
                                           @enderror
                                       </div>
                                    </div>

                                    <div class="row">
                                        <div class="form-group col-lg-6 col-md-6 col-sm-6">
                                         <label for="exampleInput">Times Used:</label>
                                            <input type="text"  class="form-control @error('times_used') is-invalid @enderror" value="{{ old('times_used') }}" name="times_used"
                                                class="form-control" placeholder="Times Used" required>
                                                @error('times_used')
                                                <span class="invalid-feedback" role="alert">
                                                    <strong>{{ $message }}</strong>
                                                </span>
                                            @enderror
                                        </div>
                                        <div class="form-group col-lg-6 col-md-6 col-sm-6">
                                            <label for="exampleInput">Expired at:</label>
                                            <div class="input-group date" id="reservationdate" data-target-input="nearest">
                                                <input type="text" name="expire_date" class="form-control datetimepicker-input" data-target="#reservationdate"/>
                                                <div class="input-group-append" data-target="#reservationdate" data-toggle="datetimepicker">
                                                    <div class="input-group-text"><i class="fa fa-calendar"></i></div>
                                                </div>
                                            </div>
                                                   @error('expire_date')
                                                   <span class="invalid-feedback" role="alert">
                                                       <strong>{{ $message }}</strong>
                                                   </span>
                                               @enderror
                                           </div>
                                        </div>
                             
                                    <div class="row">
                                    <div class="form-group col-lg-6 col-md-6 col-sm-6">
                                      
                                        <label for="exampleInput">Type:</label>

                                        <select id="extras-select" class="category-select form-control
                                            @error('type') is-invalid @enderror"
                                            name="type"
                                            required>
                                            <option {{ empty($selected) ? 'selected' : '' }} disabled>Please Select</option>
                                                <option value="Fixed">Fixed</option>
                                                <option value="Percent">Percent</option>
                                            </select>
                                            @error('type')
                                            <span class="invalid-feedback" role="alert">
                                                <strong>{{ $message }}</strong>
                                            </span>
                                            @enderror
                                    </div>
                                </div>
                                </div>
           
                               <!-- /.card-body -->
                                <div class="card-footer">
                                    <button type="submit" class="btn btn-primary">Submit</button>
                                </div>
                            </form>
                        </div>
                        <!-- /.card -->
                    </div>
                </div>
            </div>

        </form>
    </section>

@endsection
@push('scripts')
    <!-- Page specific script -->
    <script>
        $(function () {
            //Date picker
            $('#reservationdate').datetimepicker({
                // format: 'L'
            });
        })
    </script>
    @endpush
