@extends('layouts.layout')

@section('content-wrapper')
    <!-- Content Header (Page header) -->

    <section class="content-header">
        <div class="container-fluid">
            <div class="row mb-2">
                <div class="col-sm-6">
                    <h1>Send Notification</h1>
                </div>
                <div class="col-sm-6">
                    <ol class="breadcrumb float-sm-right">
                        <li class="breadcrumb-item"><a href="{{ route('home') }}">Home</a></li>
                        <li class="breadcrumb-item active">send notification</li>
                    </ol>
                </div>
            </div>
        </div><!-- /.container-fluid -->
    </section>
    <section class="content">
        <form method="POST" action="{{ route('dashboard.notification.save') }}"enctype="multipart/form-data">
            @csrf

            <div class="container-fluid">
                <div class="row">
                    <!-- left column -->

                    <div class="col-md-12">
                        <!-- jquery validation -->
                        <div class="card card-primary">
                            <div class="card-header">
                                <h3 class="card-title">Send Notification</h3>
                            </div>
                            <!-- /.card-header -->
                            <!-- form start -->
                            <form id="quickForm">
                                <div class="card-body">


                                    <div class="row">
                                    <div class="form-group col-lg-6 col-md-6 col-sm-6">
                                     <label for="exampleInput">English Title:</label>
                                        <input type="text"  class="form-control @error('title') is-invalid @enderror" value="{{ old('title') }}" name="title"
                                            class="form-control" placeholder="English Title" required>
                                            @error('title')
                                            <span class="invalid-feedback" role="alert">
                                                <strong>{{ $message }}</strong>
                                            </span>
                                        @enderror
                                    </div>
                                    <div class="form-group col-lg-6 col-md-6 col-sm-6">
                                        <label for="exampleInput">Arabic Title:</label>
                                           <input type="text"  class="form-control @error('title_ar') is-invalid @enderror" value="{{ old('title_ar') }}"
                                            name="title_ar" class="form-control" placeholder="Arabic Title" required>
                                               @error('title_ar')
                                               <span class="invalid-feedback" role="alert">
                                                   <strong>{{ $message }}</strong>
                                               </span>
                                           @enderror
                                       </div>
                                    </div>
                                    <div class="row">
                                        <div class="form-group col-lg-6 col-md-6 col-sm-6">
                                         <label for="exampleInput">English Body:</label>
                                            <input type="text"  class="form-control @error('body') is-invalid @enderror" value="{{ old('body') }}" name="body"
                                                class="form-control" placeholder="English Body" required>
                                                @error('body')
                                                <span class="invalid-feedback" role="alert">
                                                    <strong>{{ $message }}</strong>
                                                </span>
                                            @enderror
                                        </div>
                                        <div class="form-group col-lg-6 col-md-6 col-sm-6">
                                            <label for="exampleInput">Arabic Body:</label>
                                               <input type="text"  class="form-control @error('body_ar') is-invalid @enderror" value="{{ old('body_ar') }}"
                                                name="body_ar" class="form-control" placeholder="Arabic Body" required>
                                                   @error('body_ar')
                                                   <span class="invalid-feedback" role="alert">
                                                       <strong>{{ $message }}</strong>
                                                   </span>
                                               @enderror
                                           </div>
                                        </div>

                                        <div class="row">
                                            <div class="form-group col-lg-6 col-md-6 col-sm-6">
                                                <label class="form-label" for="role_id">
                                                  Branch:
                                                </label>
                                                <select id="country-select" class="country-select form-control
                                                 @error('branch_id') is-invalid @enderror"
                                                name="branch_id"
                                                required>
                                                <option {{ empty($selected) ? 'selected' : '' }} disabled>Please Select</option>
                                                        <option value="3">All</option>
                                                        <option value="1">Tartous</option>
                                                        <option value="2">Lattakia</option>
                                                </select>
                                                @error('branch_id')
                                                <span class="invalid-feedback" role="alert">
                                                    <strong>{{ $message }}</strong>
                                                </span>
                                                @enderror
                                            </div>                                   
                                        </div>
                                </div>
           
                               <!-- /.card-body -->
                                <div class="card-footer">
                                    <button type="submit" class="btn btn-primary">Submit</button>
                                </div>
                            </form>
                        </div>
                        <!-- /.card -->
                    </div>
                </div>
            </div>

        </form>
    </section>

@endsection
@push('scripts')
@endpush
