@extends('layouts.layout')

@section('content-wrapper')
    <!-- Content Header (Page header) -->

    <section class="content-header">
        <div class="container-fluid">
            <div class="row mb-2">
                <div class="col-sm-6">
                    <h1>Create Option</h1>
                </div>
                <div class="col-sm-6">
                    <ol class="breadcrumb float-sm-right">
                        <li class="breadcrumb-item"><a href="{{ route('home') }}">Home</a></li>
                        <li class="breadcrumb-item active">create option</li>
                    </ol>
                </div>
            </div>
        </div><!-- /.container-fluid -->
    </section>
    <section class="content">
        <form method="POST" action="{{ route('optionstore') }}"enctype="multipart/form-data">
            @csrf

            <div class="container-fluid">
                <div class="row">
                    <!-- left column -->

                    <div class="col-md-12">
                        <!-- jquery validation -->
                        <div class="card card-primary">
                            <div class="card-header">
                                <h3 class="card-title">Create Option</h3>
                            </div>
                            <!-- /.card-header -->
                            <!-- form start -->
                            <form id="quickForm">
                                <div class="card-body">



                                    <div class="form-group">
                                     <label for="exampleInput">English Name:</label>
                                        <input type="text"  class="form-control @error('name') is-invalid @enderror" value="{{ old('name') }}" name="name"
                                            class="form-control" placeholder="English Name" required>
                                            @error('name')
                                            <span class="invalid-feedback" role="alert">
                                                <strong>{{ $message }}</strong>
                                            </span>
                                        @enderror
                                    </div>
                                    <div class="form-group">
                                        <label for="exampleInput">Arabic Name:</label>
                                           <input type="text"  class="form-control @error('name_ar') is-invalid @enderror" value="{{ old('name_ar') }}"
                                            name="name_ar" class="form-control" placeholder="Arabic Name" required>
                                               @error('name_ar')
                                               <span class="invalid-feedback" role="alert">
                                                   <strong>{{ $message }}</strong>
                                               </span>
                                           @enderror
                                       </div>
                                       <div class="form-group">
                                        <label for="information_ar">Price:</label>
                                           <input type="number" id="price"  class="form-control @error('price') is-invalid @enderror" value="{{ old('price') }}"
                                            name="price"  placeholder="Price">
                                      
                                           
                                               @error('price')
                                               <span class="invalid-feedback" role="alert">
                                                   <strong>{{ $message }}</strong>
                                               </span> 
                                            @enderror
                                       </div>
                                       <div class="form-group">
                                        <label class="form-label" for="category_id">
                                          Extra:
                                        </label>
                                        <select id="categories-select" class="category-select form-control
                                         @error('extra') is-invalid @enderror"
                                        name="extra"
                                        required>
                                        <option {{ empty($selected) ? 'selected' : '' }} disabled>Please Select</option>
                                        @foreach($extras as $extra)
                                                <option value="{{$extra->id}}">{{$extra->name}}</option>
                                        @endforeach
                                        </select>
                                        @error('extra')
                                        <span class="invalid-feedback" role="alert">
                                            <strong>{{ $message }}</strong>
                                        </span>
                                        @enderror
                                    </div>
                             
                                </div>
           
                               <!-- /.card-body -->
                                <div class="card-footer">
                                    <button type="submit" class="btn btn-primary">Submit</button>
                                </div>
                            </form>
                        </div>
                        <!-- /.card -->
                    </div>
                </div>
            </div>

        </form>
    </section>

@endsection
@push('scripts')

<script src="https://code.jquery.com/jquery-3.5.1.min.js"></script>
     <script type="text/javascript">
      
    $(document).ready(function (e) {
     
       
       $('#image').change(function(){
                
        let reader = new FileReader();
     
        reader.onload = (e) => { 
     
          $('#preview-image-before-upload').attr('src', e.target.result); 
        }
     
        reader.readAsDataURL(this.files[0]); 
       
       });
       
    });
     
    </script>
    @endpush
