@extends('layouts.layout')

@section('content-wrapper')
    <!-- Content Header (Page header) -->

    <section class="content-header">
        <div class="container-fluid">
            <div class="row mb-2">
                <div class="col-sm-6">
                    <h1>Order Info</h1>
                </div>
                <div class="col-sm-6">
                    <ol class="breadcrumb float-sm-right">
                        <li class="breadcrumb-item"><a href="{{ route('home') }}">Home</a></li>
                        <li class="breadcrumb-item active">order info</li>
                    </ol>
                </div>
            </div>
        </div><!-- /.container-fluid -->
    </section>
    <section class="content">
        {{-- <form method="POST" action="{{ route('categoriesstore') }}"enctype="multipart/form-data">
            @csrf --}}

            <div class="container-fluid">
                <div class="row">
                    <!-- left column -->

                    <div class="col-md-12">
                        <!-- jquery validation -->
                        <div class="card card-primary">
                            <div class="card-header">
                                <h3 class="card-title">{{$order->order_number}}</h3>
                            </div>
                            <!-- /.card-header -->
                            <!-- form start -->
                            <form id="quickForm">
                                <div class="card-body">

                                    @if(count($order->carts) > 0)
                                    {{-- <h4 class="card-title">Products</h4> --}}
                                    @foreach($order->carts as $cart)
                                    <div class="table-responsive">
                                        <table class="table align-items-center table-flush">
                                            <thead class="thead-light">
                                            <tr>
                                                <th>Product</th>
                                                <th>Price</th>
                                                <th>Amount</th>  
                                                <th>Options</th>                                               
                                            </tr>
                                            </thead>
                                            <tbody>
                                                <tr>
                                                    <td>{{$cart->product ? $cart->product->name : ''}}</td>
                                                    <td>{{$cart->product ? ($cart->product->discount_price ? $cart->product->discount_price : $cart->product->price) : 0}}</td>
                                                    <td>{{$cart->amount}}</td>
                                                    <td>
                                                        <table class="table align-items-center table-flush">
                                                        <tbody>
                                                        @if(count($cart->options) > 0)
                                                        @foreach($cart->options as $option)
                                                        <tr>
                                                            <td style="border: none;">{{$option->name}}</td>
                                                            <td style="border: none;">=></td>
                                                            <td style="border: none;">{{$option->price}}</td>
                                                        </tr>
                                                        @endforeach
                                                        @endif
                                                        </tbody>
                                                    </table>
                                                    </td>
                                                </tr>
                                            </tbody>
                                           
                                        </table>
                                    </div>
                                    @endforeach
                                    @endif
                                    <div class="table-responsive">
                                        <table class="table align-items-center table-flush">
                                            <thead class="thead-light">
                                            <tr>
                                                <th>Sub Total</th>
                                                <th>Delivery</th>
                                                <th>Total Price</th>
                                            </tr>
                                            </thead>
                                            <tbody>
                                                <tr>
                                                    <td>{{$order->total_price}}</td>
                                                    <td>{{ $order->delivery_price }}</td>
                                                    <td>{{$order->total_price - $order->delivery_price > 0 ? $order->total_price - $order->delivery_price : 0 }}</td>
                                                </tr>
                                            </tbody>
                                           
                                        </table>
                                    </div>
                                </div>
                            </form>
                        </div>
                        <!-- /.card -->
                    </div>
                </div>
            </div>

        {{-- </form> --}}
    </section>

@endsection
@push('scripts')


    @endpush
