@extends('layouts.layout')

@section('content-wrapper')
    <!-- Content Header (Page header) -->
    <section class="content-header">
        <div class="container-fluid">
            <div class="row mb-2">
                <div class="col-sm-6">
                    <h1>Orders List</h1>
                </div>
                <div class="col-sm-6">
                    <ol class="breadcrumb float-sm-right">
                        <li class="breadcrumb-item"><a href="{{ route('home') }}">Home</a></li>
                        <li class="breadcrumb-item active">Orders</li>
                    </ol>
                </div>
            </div>
        </div><!-- /.container-fluid -->
    </section>

    <!-- Main content -->
    <section class="content">

        <!-- Default box -->
    
            <div class="card">
                <div class="card-header">
                  <h3 class="card-title">Orders</h3>
                </div>
                <!-- /.card-header -->
                <div class="card-body">
                  <table id="example1" class="table table-bordered table-striped">
                    
                    <thead>
                        <tr class="text-center">
                          
                            <th style="width: 10%"  class="text-center all">
                                Order Number
                            </th>
                            <th style="width: 19%"  class="text-center all">
                                Total Price
                            </th>
                            <th style="width: 19%">
                                Address
                            </th> 
                            <th style="width: 12%">
                                Address Title
                            </th>
                            <th style="width: 19%">
                                Address Details
                            </th>
                            <th style="width: 19%"  class="text-center all">
                                Type
                            </th> 
                            <th style="width: 19%"  class="text-center all">
                                Status
                            </th>
                            <th style="width: 12%">
                                Estimated Time
                            </th>
                            <th style="width: 19%">
                                Note
                            </th> 
                            <th style="width: 19%">
                                Delivery Boy
                            </th>
                            <th style="width: 12%"  class="text-center all">
                                Customer
                            </th>

                            <th style="width: 12%"  class="text-center all">
                                Coupon
                            </th>
                            <th style="width: 15%" class="text-center all">
                                Action
                            </th>
                        </tr>
                    </thead>
                    <tbody>
                        @foreach ($orders as $order)
                        <tr @if($order->status == 'pending') style="background-color:rgba(0,0,0,.05)!important" @else style="background-color:white!important" @endif>
                            <td>{{ $order->order_number ?? '-'}}</td>
                            <td>{{ $order->total_price ?? '-'}}</td>
                            <td>{{ $order->address ?? '-'}}</td>
                            <td>{{ $order->address_name ?? '-'}}</td>
                            <td>{{ $order->address_details ?? '-'}}</td>
                   
                            <td>{{ $order->type ?? '-'}}</td>
                            <td>{{ $order->status ?? '-'}}</td>
                            <td>{{ $order->estimated_time ?? '-'}}</td>
                            <td>{{ $order->note ?? '-'}}</td>
                            <td>{{ deliveryBoy($order->delivery_id) ?? '-'}}</td>
                            <td>{{ $order->user->name ?? '-'}}</td>
                            <td>{{ $order->coupon->code?? '-'}}</td>
                            <td style="text-align: center;">
                            
                                <button type="button" class="btn btn-info" id="{{$order->id}}" data-toggle="modal" data-target="#modal-default{{$order->id}}">
                                Status
                                  </button>
                                  <a class="btn btn-primary" style="margin-top: 0.5rem;" href="{{ route('ordersinfo',$order->id) }}">
                                    Details
                                  </a>
                            </td>
                              {{-- <td>
                                <form action="{{ route('ordersdelete',$order->id) }}" method="Post">
                                    @csrf
                                    @method('post')
                                    <button type="submit"  class="btn btn-danger confirm-button">Delete</button>
                                </form>
                            </td> --}}
                        </tr>
                        @endforeach
                    </tbody>
            
                 
                
                  </table>
                </div>
                <!-- /.card-body -->
              </div>
              <!-- /.card -->

         </div>
        <!-- /.card --> 

    </section>

    <!-- /.content -->
    @foreach($orders as $order)
    <div class="modal fade" id="modal-default{{$order->id}}" >
        <div class="modal-dialog">
          <div class="modal-content">
            <div class="modal-header">
              <h4 class="modal-title"> Change Status:</h4>
              <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                <span aria-hidden="true">&times;</span>
              </button>
            </div>
            <div class="modal-body">
        
                <form  method="POST" action="{{route('ordersupdate', $order->id)  }}"enctype="multipart/form-data">
                    @csrf
                    <div class="row">
                        <div class="col-sm-8">
            
                            <label class="form-label" for="class">
                                Status:
                        </label> 
                        <select
                        class="form-control class-select @error('status') is-invalid @enderror"
                        name="status"

                        placeholder="Status" required>
                        <option value="" disabled>Please Select</option>

                        <option
                            value="pending"
                            {{($order->status ==='pending') ? 'selected' : ''}}
                            >Pending</option>
                        <option
                            value="pickedup"
                            {{($order->status ==='pickedup') ? 'selected' : ''}}
                            >Pickedup</option>
                            <option
                            value="on_road"
                            {{($order->status ==='on_road') ? 'selected' : ''}}
                            >On Road</option>
                            <option
                            value="deliveried"
                            {{($order->status ==='deliveried') ? 'selected' : ''}}
                            >Deliveried</option>
                            <option
                            value="failed"
                            {{($order->status ==='failed') ? 'selected' : ''}}
                            >Failed</option>
                
                        </select>
                        </div>
                    </div>

                    <div class="row">
                        <div class="col-sm-8">
            
                            <label class="form-label" for="class">
                                Delivery Boy:
                        </label> 
                        <select
                        class="form-control class-select @error('delivery_id') is-invalid @enderror"
                        name="delivery_id"
                        placeholder="Delivery Boy" required>
                        <option value="" selected disabled>Please Select</option>
                        @foreach($order->deliveries($order->user ? $order->user->branch_id : 0) as $delivery)
                            <option
                                value="{{$delivery->id}}"
                                {{($order->delivery_id === $delivery->id) ? 'selected' : ''}}
                                >{{$delivery->name}}</option>
                        @endforeach
                        </select>
                        </div>
                    </div>

                    <div class="row">
                        <div class="col-sm-8">
            
                            <label class="form-label" for="class">
                                Estimated Time:
                        </label> 
                        <input type="text"  class="form-control @error('estimated_time') is-invalid @enderror" value="{{ $order->estimated_time }}"
                        class="form-control" placeholder="Estimated Time" name="estimated_time" required>
                        @error('estimated_time')
                            <span class="invalid-feedback" role="alert">
                                <strong>{{ $message }}</strong>
                            </span>
                        @enderror
                        </div>
                    </div>
            </div>
            <div class="modal-footer justify-content-between">
              <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
              <button type="submit" class="btn btn-info">Save changes</button>
          
            </div>
          </div>
        </form>
          <!-- /.modal-content -->
        </div>
        <!-- /.modal-dialog -->
      </div>
      <!-- /.modal -->
    @endforeach
</div>

@endsection

@push('scripts')
<!-- Page specific script -->
<script src="https://cdnjs.cloudflare.com/ajax/libs/sweetalert/2.1.0/sweetalert.min.js"></script>
<script>
    $(function () {
      $("#example1").DataTable({
        "responsive": true, "lengthChange": false, "autoWidth": false,
        "buttons": ["copy", "csv", "excel", "pdf", "print", "colvis"],
        "order": []  // Disable initial ordering
      }).buttons().container().appendTo('#example1_wrapper .col-md-6:eq(0)');
      $('#example2').DataTable({
        "paging": true,
        "lengthChange": false,
        "searching": false,
        "ordering": false,
        "info": true,
        "autoWidth": false,
        "responsive": true,
      });
    });
  </script>

<script type="text/javascript">

    $('.confirm-button').click(function(event) {
        var form =  $(this).closest("form");
        event.preventDefault();
        swal({

            title: `Are you sure you want to delete this record?`,
            text: "If you delete this, it will be gone forever.",
            icon: "warning",
            buttons: true,
            dangerMode: true,
        })
            .then((willDelete) => {
                if (willDelete) {
                    form.submit();
                }
            });
    });

</script>
@endpush
