@extends('layouts.layout')

@section('content-wrapper')
    <!-- Content Header (Page header) -->
    <section class="content-header">
        <div class="container-fluid">
            <div class="row mb-2">
                <div class="col-sm-6">
                    <h1>Products List</h1>
                </div>
                <div class="col-sm-6">
                    <ol class="breadcrumb float-sm-right">
                        <li class="breadcrumb-item"><a href="{{ route('home') }}">Home</a></li>
                        <li class="breadcrumb-item active">Products</li>
                    </ol>
                </div>
            </div>
        </div><!-- /.container-fluid -->
    </section>

    <!-- Main content -->
    <section class="content">

        <!-- Default box -->
    
            <div class="card">
                <div class="card-header">
                  <h3 class="card-title">Products</h3>
                </div>
                <!-- /.card-header -->
                <div class="card-body">
                  <table id="example1" class="table table-bordered table-striped">
                    <thead>
                        <tr class="text-center">
                          
                            <th style="width: 20%">
                                English Name
                             </th>
                             <th style="width: 20%">
                                 Arabic  Name 
                             </th>

                             <th style="width: 15%">
                                Price 
                             </th>
                             <th style="width: 15%">
                                Discount Price 
                             </th>
                             <th style="width: 20%">
                                Branch 
                             </th>
                             <th style="width: 20%">
                                Category 
                             </th>
                          
                            {{-- <th style="width: 50%">
                                English Description
                             </th>
                             <th style="width: 50%">
                                 Arabic Description 
                             </th> --}}
                          
                           
                            <th style="width: 20%"  class="text-center all">
                                Image
                            </th>

                            <th style="width: 20%"  class="text-center all">
                                Image Best Seller
                            </th>

                           
                            <th style="width: 50%" class="text-center all">
                                Action
                            </th>
                        </tr>
                    </thead>
                    <tbody>
                        @foreach ($products as $product)
                        <tr>
                            <td>{{ $product->name ?? '-'}}</td>
                            <td>{{ $product->name_ar ?? '-'}}</td>
                       
                            <td>{{ $product->price ?? '-'}}</td>
                            <td>{{ $product->discount_price ?? '-'}}</td>

                            <td>@if($product->branch_id == 1) Tartous
                            @elseif($product->branch_id == 2) Lattakia
                            @elseif($product->branch_id == 3) Tartous & Lattakia @endif</td>

                            <td>{{ $product->category->name ?? '-'}}</td>

                            {{-- <td>{{ $product->description ?? '-'}}</td>
                            <td>{{ $product->description_ar ?? '-'}}</td> --}}
                        
                     
                        
                            <td  class="text-center">
                                <img src="{{ $product->image}}"  width="100px" height="100px"
                                onerror="this.src='{{asset('public/frontend/images/noimage.jpg')}}'">
                            </td>
                            <td  class="text-center">
                                <img src="{{ $product->image_best_seller}}"  width="100px" height="100px"
                                onerror="this.src='{{asset('public/frontend/images/noimage.jpg')}}'">
                            </td>
                            <td >
                                <form action="{{ route('productsdelete',$product->id) }}" method="Post">
                                    <a class="btn btn-primary" href="{{ route('productsedit',$product->id) }}">Edit</a>
                                    @csrf
                                    @method('post')
                                    <button type="submit"  class="btn btn-danger confirm-button">Delete</button>
                                </form>
                            </td>
                        </tr>
                        @endforeach
                    </tbody>
            
                 
                
                  </table>
                </div>
                <!-- /.card-body -->
              </div>
              <!-- /.card -->

         </div>
        <!-- /.card --> 

    </section>

    <!-- /.content -->
@endsection

@push('scripts')
<!-- Page specific script -->
<script src="https://cdnjs.cloudflare.com/ajax/libs/sweetalert/2.1.0/sweetalert.min.js"></script>
<script>
    $(function () {
      $("#example1").DataTable({
        "responsive": true, "lengthChange": false, "autoWidth": false,"ordering": false,
        "buttons": ["copy", "csv", "excel", "pdf", "print", "colvis"]
      }).buttons().container().appendTo('#example1_wrapper .col-md-6:eq(0)');
      $('#example2').DataTable({
        "paging": true,
        "lengthChange": false,
        "searching": false,
        "ordering": true,
        "info": true,
        "autoWidth": false,
        "responsive": true,
      });
    });
  </script>

<script type="text/javascript">

    $('.confirm-button').click(function(event) {
        var form =  $(this).closest("form");
        event.preventDefault();
        swal({

            title: `Are you sure you want to delete this record?`,
            text: "If you delete this, it will be gone forever.",
            icon: "warning",
            buttons: true,
            dangerMode: true,
        })
            .then((willDelete) => {
                if (willDelete) {
                    form.submit();
                }
            });
    });

</script>

@endpush
