@extends('layouts.layout')

@section('content-wrapper')
    <!-- Content Header (Page header) -->
    @push('css')

    <style>
        .iti--allow-dropdown input, .iti {
            width: 100% !important;
        }

        .iti--allow-dropdown input {
            border: 1px solid #ced4da;
            padding-top: 5px;
            padding-bottom: 5px;
            border-radius: 5px;
        }

        #map{
            height: 400px;
            width: 100%;
        }

    </style>
@endpush
    <section class="content-header">
        <div class="container-fluid">
            <div class="row mb-2">
                <div class="col-sm-6">
                    <h1>Edit Product</h1>
                </div>
                <div class="col-sm-6">
                    <ol class="breadcrumb float-sm-right">
                        <li class="breadcrumb-item"><a href="{{ route('home') }}">Home</a></li>
                        <li class="breadcrumb-item active">edit product</li>
                    </ol>
                </div>
            </div>
        </div><!-- /.container-fluid -->
    </section>
    @foreach ($product as $product)
    <section class="content">
        <form method="POST" action="{{ route('productsupdate', $product->id) }}"enctype="multipart/form-data">
            @csrf

            <div class="container-fluid">
                <div class="row">
                    <!-- left column -->

                    <div class="col-md-12">
                        <!-- jquery validation -->
                        <div class="card card-primary">
                            <div class="card-header">
                                <h3 class="card-title">Edit Product</h3>
                            </div>
                            <!-- /.card-header -->
                            <!-- form start -->
                            <form id="quickForm">
                                <div class="card-body">


                                    <div class="row">
                                    <div class="form-group col-lg-6 col-md-6 col-sm-6">
                                     <label for="exampleInput"> Englis Name:</label>
                                        <input type="text"  class="form-control @error('name') is-invalid @enderror" name="name"
                                            class="form-control" placeholder="Name" value="{{$product->name}}" required>
                                            @error('name')
                                            <span class="invalid-feedback" role="alert">
                                                <strong>{{ $message }}</strong>
                                            </span>
                                        @enderror
                                    </div>
                                    <div class="form-group col-lg-6 col-md-6 col-sm-6">
                                        <label for="exampleInput">Arabic Name:</label>
                                           <input type="text"  class="form-control @error('name_ar') is-invalid @enderror"
                                            name="name_ar" class="form-control" value="{{$product->name_ar}}" placeholder="Arabic Name" required>
                                               @error('name_ar')
                                               <span class="invalid-feedback" role="alert">
                                                   <strong>{{ $message }}</strong>
                                               </span>
                                           @enderror
                                       </div>
                                    </div>
                                    <div class="row">
                                       <div class="form-group col-lg-6 col-md-6 col-sm-6">
                                        <label for="exampleInput">English Description:</label>
                                           <textarea type="text" id="description"  class="form-control @error('description') is-invalid @enderror"
                                            name="description"  placeholder="English Description" required>
                                            {{$product->description}}
                                              </textarea>
                                               @error('description')
                                               <span class="invalid-feedback" role="alert">
                                                   <strong>{{ $message }}</strong>
                                               </span> 
                                            @enderror
                                       </div>
                                       <div class="form-group col-lg-6 col-md-6 col-sm-6">
                                        <label for="exampleInput">Arabic Description:</label>
                                           <textarea type="text" id="description_ar"  class="form-control @error('description_ar') is-invalid @enderror"
                                            name="description_ar" placeholder="Arabic Description" required>
                                            {{$product->description_ar}}
                                              </textarea>
                                               @error('description_ar')
                                               <span class="invalid-feedback" role="alert">
                                                   <strong>{{ $message }}</strong>
                                               </span> 
                                            @enderror
                                       </div>
                                    </div>
                                    <div class="row">
                                    <div class="form-group col-lg-6 col-md-6 col-sm-6">
                                        <label class="form-label" for="category_id">
                                          Category:
                                        </label>
                                        <select id="subcategories-select" class="category-select form-control
                                         @error('category') is-invalid @enderror"
                                        name="category"
                                        required>
                                        <option disabled>Please Select</option>
                                        @foreach($categories as $category)
                                                <option value="{{$category->id}}" 
                                                    @if($category->id == $product->category->id)
                                                        selected
                                                    @endif>{{$category->name}}</option>
                                            @endforeach
                                        </select>
                                        @error('category')
                                        <span class="invalid-feedback" role="alert">
                                            <strong>{{ $message }}</strong>
                                        </span>
                                        @enderror
                                    </div>
                                    <div class="form-group col-lg-6 col-md-6 col-sm-6">
                                        <label class="form-label" for="category_id">
                                          Branch:
                                        </label>
                                        <select id="categories-select" class="category-select form-control
                                         @error('branch') is-invalid @enderror"
                                        name="branch"
                                        required>
                                        <option {{ empty($selected) ? 'selected' : '' }} disabled>Please Select</option>
                                                <option value="1" @if($product->branch_id == 1) selected @endif>Tartous</option>
                                                <option value="2" @if($product->branch_id == 2) selected @endif>Lattakia</option>
                                                <option value="3" @if($product->branch_id == 3) selected @endif>Tartous & Lattakia</option>

                                        </select>
                                        @error('branch')
                                        <span class="invalid-feedback" role="alert">
                                            <strong>{{ $message }}</strong>
                                        </span>
                                        @enderror
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="form-group col-lg-6 col-md-6 col-sm-6">
                                        <label for="information_ar">Price:</label>
                                           <input type="number" id="price"  class="form-control @error('price') is-invalid @enderror" value="{{$product->price}}"
                                            name="price"  placeholder="Price" required>
                                      
                                           
                                               @error('price')
                                               <span class="invalid-feedback" role="alert">
                                                   <strong>{{ $message }}</strong>
                                               </span> 
                                            @enderror
                                       </div>
                                       <div class="form-group col-lg-6 col-md-6 col-sm-6">
                                        <label for=" discount_price" > Discount Price:</label>
            
                                      
                                            <input id="discount_price" type="number" class="form-control @error('discount_price') is-invalid @enderror" name="discount_price" value="{{$product->discount_price}}" autocomplete="email" 
                                            placeholder="Discount Price">
            
                                            @error('discount_price')
                                                <span class="invalid-feedback" role="alert">
                                                    <strong>{{ $message }}</strong>
                                                </span>
                                            @enderror
                                    
                                    </div>
                                </div>

                                    <div class="row">
                                    <div class="form-group col-lg-6 col-md-6 col-sm-6">
                                      
                                        <label for="exampleInput">Image(1:1):</label>

                                        <input type="file" value="" name="image" id="image"
                                            class="form-control @error('image') is-invalid @enderror" placeholder="image" >
                                            <img id="preview-image-before-upload"
                                            src="{{ asset($product->image) }}" alt="preview image" style="max-height: 100px;">
                                            @error('image')
                                            <span class="invalid-feedback" role="alert">
                                                <strong>{{ $message }}</strong>
                                            </span>
                                        @enderror
                                    </div>
                                        <div class="form-group col-lg-6 col-md-6 col-sm-6">
                                      
                                            <label for="exampleInput">Best Seller Image(18:9):</label>
    
                                            <input type="file" value="" name="image_best_seller" id="image_best_seller"
                                                class="form-control @error('image_best_seller') is-invalid @enderror" placeholder="image">
                                                <img id="preview-image2-before-upload"
                                                src="{{ asset($product->image_best_seller) }}" alt="preview image" style="max-height: 100px;">
                                                @error('image_best_seller')
                                                <span class="invalid-feedback" role="alert">
                                                    <strong>{{ $message }}</strong>
                                                </span>
                                            @enderror
                                        </div>
                                    </div>
                                        @foreach($options as $option)
                                            <table class="table table-striped table-condensed table-additems extra-table table-extra">
                                                <tbody>
                                                    <tr id="guest1">
                                                        <td>
                                                            <label class="form-label" for="category_id">
                                                            Extra:
                                                            </label>
                                                            <select id="extras-select" class="category-select form-control
                                                            @error('extra') is-invalid @enderror"
                                                            name="extraid[]"
                                                            required>
                                                            <option {{ empty($selected) ? 'selected' : '' }} disabled>Please Select</option>
                                                            @foreach($extras as $extra)
                                                                    <option @if($extra->id == $option->extra_id) selected @endif value="{{$extra->id}}">{{$extra->name}}</option>
                                                            @endforeach
                                                            </select>
                                                            @error('extra')
                                                            <span class="invalid-feedback" role="alert">
                                                                <strong>{{ $message }}</strong>
                                                            </span>
                                                            @enderror
                                                        </td>
                                                        <td>
                                                            &nbsp;<label for="cQuantity">English Name:</label>&nbsp;<input type="text"  value="{{$option->name}}" class="form-control" name="extraname[]" id="cQuantity1" placeholder="English Name" />
                                                        </td>
                                                        <td>
                                                            &nbsp;<label for="cQuantity">Arabic Name:</label>&nbsp;<input type="text" value="{{$option->name_ar}}" class="form-control" name="extranamear[]" id="cQuantity2" placeholder="Arabic Name" />
                                                        </td>
                                                        <td>
                                                            &nbsp;<label for="cQuantity">Price:</label>&nbsp;<input type="number" value="{{$option->price}}" class="form-control" name="extraprice[]" id="cQuantity3" placeholder="Price" min="0" />
                                                        </td>

                                                        <td>
                                                            <div class="col-md-1"  style="margin-top: 50%;">
                                                                <button type="button"  class="btn btn-danger delete-extra" ><i class="far fa-trash-alt"></i></button>
                                                            </div>
                                                        </td>
                                                    </tr>


                                                </tbody>
                                            </table>
                                        @endforeach
                                        <span id="alertdata"></span>

                                        <div class="form-group" id = 'forclone'>
                                           <table class="table table-striped table-condensed table-additems extra-table">
                                               <tbody>
                                                   <tr id="guest1">
                                                       <td>
                                                           <label class="form-label" for="category_id">
                                                           Extra:
                                                           </label>
                                                           <select id="extras-select" class="category-select form-control
                                                           @error('extra') is-invalid @enderror"
                                                           name="extraid[]"
                                                           required>
                                                           <option {{ empty($selected) ? 'selected' : '' }} disabled>Please Select</option>
                                                           @foreach($extras as $extra)
                                                                   <option value="{{$extra->id}}">{{$extra->name}}</option>
                                                           @endforeach
                                                           </select>
                                                           @error('extra')
                                                           <span class="invalid-feedback" role="alert">
                                                               <strong>{{ $message }}</strong>
                                                           </span>
                                                           @enderror
                                                       </td>
                                                       <td>
                                                           &nbsp;<label for="cQuantity">English Name:</label>&nbsp;<input type="text"  class="form-control" name="extraname[]" id="cQuantity1" placeholder="English Name" />
                                                       </td>
                                                       <td>
                                                           &nbsp;<label for="cQuantity">Arabic Name:</label>&nbsp;<input type="text"  class="form-control" name="extranamear[]" id="cQuantity2" placeholder="Arabic Name" />
                                                       </td>
                                                       <td>
                                                           &nbsp;<label for="cQuantity">Price:</label>&nbsp;<input type="number" class="form-control" name="extraprice[]" id="cQuantity3" placeholder="Price" min="0" />
                                                       </td>
                                                   </tr>
                                               </tbody>
                                           </table>
                                           </div>

                                          
                                   
                                           <div id="dynamicInput"></div>
                                                <div style="text-align: right;">
                                                <input type="button" value="+" class="btn btn-primary" id = 'button' style="border-color: #800000!important;
                                                background-color: #fff!important;
                                                color: #800000!important;" />
                                                <input type="button" value="-" class="btn btn-danger" id = 'button2' />
                                            </div>
                                            {{-- <div>
                                                <label  class="form-label" >Size:</label>
                                            </div> --}}
                                           {{-- @foreach($product->sizes as $size)
                                               <table class="table table-striped table-condensed table-additems table-extra2">
                                                   <tbody>
                                                       <tr id="guest2">
                                                           <td>
                                                               &nbsp;<label for="cQuantity">English Name:</label>&nbsp;<input type="text" value="{{$size->name}}" class="form-control" name="size[]" id="cQuantity4" placeholder="English Name" />
                                                           </td>
                                                           <td>
                                                               &nbsp;<label for="cQuantity">Arabic Name:</label>&nbsp;<input type="text" value="{{$size->name_ar}}" class="form-control" name="sizear[]" id="cQuantity5" placeholder="Arabic Name" />
                                                           </td>
                                                           <td>
                                                               &nbsp;<label for="cQuantity">Price:</label>&nbsp;<input type="number" value="{{$size->price}}" class="form-control" name="sizeprice[]" id="cQuantity6" placeholder="Price" min="0" />
                                                           </td>
                                                           <td>
                                                            <div class="col-md-1"  style="margin-top: 50%;">
                                                                <button type="button"  class="btn btn-danger delete-extra2" ><i class="far fa-trash-alt"></i></button>
                                                            </div>
                                                        </td>
                                                       </tr>
                                                   </tbody>
                                               </table>
                                           @endforeach
                                           <div class="form-group" id ='forclone2' style="display:none;">
                                            <table class="table table-striped table-condensed table-additems extra-table">
                                                <tbody>
                                                    <tr id="guest2">
                                                        <td>
                                                            &nbsp;<label for="cQuantity">English Name:</label>&nbsp;<input type="text" class="form-control" name="size[]" id="cQuantity4" placeholder="English Name" />
                                                        </td>
                                                        <td>
                                                            &nbsp;<label for="cQuantity">Arabic Name:</label>&nbsp;<input type="text"  class="form-control" name="sizear[]" id="cQuantity5" placeholder="Arabic Name" />
                                                        </td>
                                                        <td>
                                                            &nbsp;<label for="cQuantity">Price:</label>&nbsp;<input type="number" class="form-control" name="sizeprice[]" id="cQuantity6" placeholder="Price" min="0" />
                                                        </td>
                                                    </tr>
                                                </tbody>
                                            </table>
                                        </div> --}}
                                        {{-- <div id="dynamicInput2"></div>
                                        <div id="bot" style="display:none; text-align: right;">
                                            <input type="button" value="+" class="btn btn-primary" id = 'button3' 
                                            style="border-color: #800000!important;
                                            background-color: #fff!important;
                                            color: #800000!important;" />
                                            <input type="button" value="-" class="btn btn-danger" id = 'button4' />
                                        </div> --}}
                                </div>
           
                               <!-- /.card-body -->
                                <div class="card-footer">
                                    {{-- <input type="button" value="Add Size" class="btn btn-primary" id = 'button5' style="border-color: ##F4802B!important;
                                    background-color: #fff!important;
                                    color: #F4802B!important;" /> --}}
                                    <button type="submit" class="btn btn-primary">Submit</button>
                                </div>
                            </form>
                        </div>
                        <!-- /.card -->
                    </div>
                </div>
            </div>

        </form>
    </section>
    @endforeach

@endsection
@push('scripts')

<script type="text/javascript">
      
    $(document).ready(function (e) {
     
       
       $('#image').change(function(){
                
        let reader = new FileReader();
     
        reader.onload = (e) => { 
     
          $('#preview-image-before-upload').attr('src', e.target.result); 
        }
     
        reader.readAsDataURL(this.files[0]); 
       
       });
       
    });
     
    </script>
        
        <script type="text/javascript">
      
            $(document).ready(function (e) {
             
               
               $('#image_best_seller').change(function(){
                        
                let reader = new FileReader();
             
                reader.onload = (e) => { 
             
                  $('#preview-image2-before-upload').attr('src', e.target.result); 
                }
             
                reader.readAsDataURL(this.files[0]); 
               
               });
               
            });
             
            </script>


  <script>
    $(document).ready(function ()  {
        $('#description').summernote();
        $('#description_ar').summernote();
    });
  </script> 
   <script>
        $('#extras-select').change(function () {
            var cQuantity1 = document.getElementById("cQuantity1");
            var cQuantity2 = document.getElementById("cQuantity2");

            cQuantity1.setAttribute('required','required');
            cQuantity2.setAttribute('required','required');
        });
    </script>
     <script>
        $("#button5").click(function () {
            $("#forclone2").show();
            $("#bot").show();
            $("#button5").hide();

            var cQuantity4 = document.getElementById("cQuantity4");
            var cQuantity5 = document.getElementById("cQuantity5");
            var cQuantity6 = document.getElementById("cQuantity6");

            cQuantity4.setAttribute('required','required');
            cQuantity5.setAttribute('required','required');
            cQuantity6.setAttribute('required','required');

        });
    </script>
  
    <script>
        function addInput(divName) {
            var copy = document.getElementById('forclone').cloneNode(true);
            document.getElementById(divName).appendChild(copy);
        }
            
            document.getElementById('button').onclick = function(){
                addInput('dynamicInput');
        }
    </script>
     <script>
        function addInput2(divName) {
            var copy = document.getElementById('forclone').cloneNode(true);
            document.getElementById(divName).lastChild.value = "";
            document.getElementById(divName).lastChild.remove();
        }
            
            document.getElementById('button2').onclick = function(){
                addInput2('dynamicInput');
        }
    </script>
     <script>
        function addInput3(divName) {
            var copy = document.getElementById('forclone2').cloneNode(true);
            document.getElementById(divName).appendChild(copy);
        }
            
            document.getElementById('button3').onclick = function(){
                addInput3('dynamicInput2');
        }
    </script>
     <script>
        function addInput4(divName) {
            var copy = document.getElementById('forclone2').cloneNode(true);
            document.getElementById(divName).lastChild.value = "";
            document.getElementById(divName).lastChild.remove();
        }
            
            document.getElementById('button4').onclick = function(){
                addInput4('dynamicInput2');
        }
    </script>
    <script>
        $(".delete-extra").click(function(ev){
            $(this).closest(".table-extra").remove();
        });

    </script>
    <script>
        $(".delete-extra2").click(function(ev){
            $(this).closest(".table-extra2").remove();
        });

    </script>
    <script>

        $(document).ready(function(){
                        $('#extras-select').on('change', function(){
                            $('input[name="extraname[]"]').attr('required', true);
                            $('input[name="extranamear[]"]').attr('required', true);
        
                  
                        });
                    });
        </script>
    
    @endpush
