@extends('layouts.layout')

@section('content-wrapper')
    <!-- Content Header (Page header) -->
   
    <section class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h1>Static Content</h1>
          </div>
          <div class="col-sm-6">
            <ol class="breadcrumb float-sm-right">
              <li class="breadcrumb-item"><a href="{{ route('home') }}">Home</a></li>
              <li class="breadcrumb-item active">Static Content</li>
            </ol>
          </div>
        </div>
      </div><!-- /.container-fluid -->
    </section>
    <section class="content">
      <form  method="POST" action="{{ route('update.staticcontent')  }}" enctype="multipart/form-data">
        @csrf
      
       
    
              
              <div class="row">
                <!-- left column -->
      
        <div class="col-md-12">
          <!-- jquery validation -->
          <div class="card card-primary">
            <div class="card-header">
              <h3 class="card-title"> Static Content</h3>
            </div>
            <!-- /.card-header -->
            <!-- form start -->
            <form id="quickForm">
              <div class="card-body">
            
                @foreach($staticcontents as $staticcontent)
          
                <div class="row">
                  <div class="col-lg-6 form-group">
                    <label for="exampleInputcountry">English About Us:</label>

                    <textarea id="about_us" name="about_us"  class="form-control @error('about_us') is-invalid @enderror" 
                    style="height: 150px;">
                  {{$staticcontent->about_us}}</textarea>  
                    @error('about_us')
                        <span class="invalid-feedback" role="alert">
                            <strong>{{ $message }}</strong>
                        </span>
                    @enderror
                </div>

                <div class="col-lg-6 form-group">
                  <label for="exampleInputcountry">Arabic About Us:</label>

                  <textarea id="about_us_ar" name="about_us_ar"  class="form-control @error('about_us_ar') is-invalid @enderror" 
                  style="height: 150px;">
                {{$staticcontent->about_us_ar}}</textarea>  
                @error('about_us_ar')
                    <span class="invalid-feedback" role="alert">
                        <strong>{{ $message }}</strong>
                    </span>
                @enderror
              </div>
            </div>

            <div class="row">
              <div class="col-lg-6 form-group">
                <label for="exampleInput">English Privacy Policy:</label>
  
  
                <textarea id="privacy_policy" name="privacy_policy" class="form-control @error('privacy_policy') is-invalid @enderror"
                style="height: 150px;">
                {{$staticcontent->privacy_policy}}</textarea>   
                @error('privacy_policy')
                  <span class="invalid-feedback" role="alert">
                      <strong>{{ $message }}</strong>
                  </span>
                @enderror
              </div>

              <div class="col-lg-6 form-group">
                <label for="exampleInput">Arabic Privacy Policy:</label>


                <textarea id="privacy_policy_ar" name="privacy_policy_ar" class="form-control @error('privacy_policy_ar') is-invalid @enderror"
                style="height: 150px;">
                {{$staticcontent->privacy_policy_ar}}</textarea>   
                @error('privacy_policy_ar')
                  <span class="invalid-feedback" role="alert">
                      <strong>{{ $message }}</strong>
                  </span>
                @enderror
            </div>
          </div>

          <div class="row">
             <div class="col-lg-6 form-group">
                <label for="exampleInput">English Terms And Conditions:</label>
                <textarea id="terms_and_conditions" name="terms_and_conditions" class="form-control @error('terms_and_conditions') is-invalid @enderror"
                 style="height: 150px;">
                {{$staticcontent->terms_and_conditions}}</textarea>   
                @error('terms_and_conditions')
                    <span class="invalid-feedback" role="alert">
                        <strong>{{ $message }}</strong>
                    </span>
                @enderror
              </div>
      
             <div class="col-lg-6 form-group">
              <label for="exampleInput">Arabic Terms And Conditions:</label>
              <textarea id="terms_and_conditions_ar" name="terms_and_conditions_ar" class="form-control @error('terms_and_conditions_ar') is-invalid @enderror"
               style="height: 150px;">
              {{$staticcontent->terms_and_conditions_ar}}</textarea>   
              @error('terms_and_conditions_ar')
                <span class="invalid-feedback" role="alert">
                    <strong>{{ $message }}</strong>
                </span>
              @enderror
            </div>
          </div>

          <div class="row">
            <div class="col-lg-6 form-group">
              <label for="exampleInput">phone:</label>

              <input type="tel" class="form-control @error('phone') is-invalid @enderror"  value="{{ $staticcontent->phone }}"
                name="phone" class="form-control" placeholder="Phone" pattern="[+]{0,1}[0-9]{8,13}" required>
              @error('phone')
                <span class="invalid-feedback" role="alert">
                    <strong>{{ $message }}</strong>
                </span>
              @enderror
            </div>

            <div class="form-group col-lg-6 col-md-6 col-sm-6">
              <label for="information_ar">Delivery Fee:</label>
                <input type="number" id="price"  class="form-control @error('delivery_fee') is-invalid @enderror" value="{{ $staticcontent->delivery_fee }}"
                name="delivery_fee"  placeholder="Delivery Fee" required>
                  @error('delivery_fee')
                    <span class="invalid-feedback" role="alert">
                        <strong>{{ $message }}</strong>
                    </span> 
                  @enderror
              </div>
          </div>
    
         @endforeach
         
              </div>
              <!-- /.card-body -->
              <div class="card-footer">
                <button type="submit" class="btn btn-primary">Update</button>
              </div>

         
          </div>
          <!-- /.card -->
          </div>
          </div>
        </div>

  </form>

    </section> 
 
    <!-- Main content -->
    
<!-- /.content -->
</div>

@endsection
@push('scripts')

<script>


    $(document).ready(function ()  {
  
  
 
   $('#about_us').summernote()
   $('#terms_and_conditions').summernote()
   $('#privacy_policy').summernote()
   $('#about_us_ar').summernote()
   $('#terms_and_conditions_ar').summernote()
   $('#privacy_policy_ar').summernote()
    });
  
  
  </script>
      @endpush
