@extends('layouts.layout')

@section('content-wrapper')
    <!-- Content Header (Page header) -->

    <section class="content-header">
        <div class="container-fluid">
            <div class="row mb-2">
                <div class="col-sm-6">
                    <h1>Create User</h1>
                </div>
                <div class="col-sm-6">
                    <ol class="breadcrumb float-sm-right">
                        <li class="breadcrumb-item"><a href="{{ route('home') }}">Home</a></li>
                        <li class="breadcrumb-item active">create user</li>
                    </ol>
                </div>
            </div>
        </div><!-- /.container-fluid -->
    </section>
    <section class="content">
        <form method="POST" action="{{ route('usersstore') }}"enctype="multipart/form-data">
            @csrf

            <div class="container-fluid">
                <div class="row">
                    <!-- left column -->

                    <div class="col-md-12">
                        <!-- jquery validation -->
                        <div class="card card-primary">
                            <div class="card-header">
                                <h3 class="card-title">Create User</h3>
                            </div>
                            <!-- /.card-header -->
                            <!-- form start -->
                            <form id="quickForm">
                                <div class="card-body">
                                <div class="row">
                                  <div class="form-group col-lg-6 col-md-6 col-sm-6">
                                        <label for="exampleInputcountry">Name:</label>

                                        <input type="text"  class="form-control @error('name') is-invalid @enderror" value="{{ old('name') }}" name="name"
                                            class="form-control" placeholder="Name" required>
                                            @error('name')
                                            <span class="invalid-feedback" role="alert">
                                                <strong>{{ $message }}</strong>
                                            </span>
                                        @enderror
                                    </div>
                                    
                                    <div class="form-group col-lg-6 col-md-6 col-sm-6">
                                        <label for="phone" >Phone:</label>
            
                                      
                                        <input type="tel" class="form-control tele @error('phone') is-invalid @enderror"  
                                        pattern="[+]{0,1}[0-9]{8,13}" name="phone" id="phone" minlength="8"
                                        maxlength="14" value="+963" onkeypress="return AllowOnlyNumbers(event);"
                                        required />
                                        @if ($errors->has('phone'))
                                        <span class="invalid-message" style="color:red;">
                                            <strong>{{ $errors->first('phone') }}</strong>
                                        </span>
                                        @endif
                                    
                                    </div>
                                </div>

                                   
                                <div class="row">
                                    <div class="form-group col-lg-6 col-md-6 col-sm-6">
                                        <label class="form-label" for="role_id">
                                          Branch:
                                        </label>
                                        <select id="country-select" class="country-select form-control
                                         @error('branch') is-invalid @enderror"
                                        name="branch"
                                        required>
                                        <option {{ empty($selected) ? 'selected' : '' }} disabled>Please Select</option>
                                                <option value="1">Tartous</option>
                                                <option value="2">Lattakia</option>
                                        </select>
                                        @error('branch')
                                        <span class="invalid-feedback" role="alert">
                                            <strong>{{ $message }}</strong>
                                        </span>
                                        @enderror
                                    </div>                                   
                                    <div class="form-group col-lg-6 col-md-6 col-sm-6">
                                        <label class="form-label" for="role_id">
                                          Role:
                                        </label>
                                        <select id="roles-select" class="role-select form-control
                                         @error('role') is-invalid @enderror"
                                        name="role"
                                        required>
                                        <option {{ empty($selected) ? 'selected' : '' }} disabled>Please Select</option>
                                        @foreach($roles as $role)
                                                <option value="{{$role->id}}">{{$role->name}}</option>
                                            @endforeach
                                        </select>
                                        @error('role')
                                        <span class="invalid-feedback" role="alert">
                                            <strong>{{ $message }}</strong>
                                        </span>
                                        @enderror
                                    </div>
                                </div>
                                    <div class="row">
                                        <div class="form-group col-lg-6 col-md-6 col-sm-6">
                                            <label for="address" >Address:</label>
                                            <input id="address" type="text" class="form-control @error('address') is-invalid @enderror" name="address" value="{{ old('address') }}" 
                                            placeholder="address" required>
            
                                            @error('address')
                                                <span class="invalid-feedback" role="alert">
                                                    <strong>{{ $message }}</strong>
                                                </span>
                                            @enderror
                                        
                                        </div>
                                    </div>
                                </div>
                                <!-- /.card-body -->
                                <div class="card-footer">
                                    <button type="submit" class="btn btn-primary">Submit</button>
                                </div>
                            </form>
                        </div>
                        <!-- /.card -->
                    </div>
                </div>
            </div>

        </form>
    </section>

@endsection
@push('scripts')
<script>
    var inputt = document.querySelector('#phone');
    var countryData = window.intlTelInputGlobals.getCountryData();
    var addressDropdow = document.querySelector("#addresss-country");
    var it2 = window.intlTelInput(inputt, {
        utilScript: '{{asset('public/front/js/utils.js')}}'
    });
    for (var i = 0; i < countryData.length; i++) {
        var country = countryData[i];
        var optionNode = document.createElement("option");
        optionNode.value = country.iso2;
        var textNode = document.createTextNode(country.name);
        optionNode.appendChild(textNode);
        addressDropdow.appendChild(optionNode);
    }

    addressDropdow.value = it2.getSelectedCountryData().iso2;

    // listen to the telephone input for changes
    inputt.addEventListener('countrychange', function (e) {
        addressDropdow.value = it2.getSelectedCountryData().iso2;
    });

    // listen to the address dropdown for changes
    addressDropdow.addEventListener('change', function () {
        it2.setCountry(this.value);
    });
</script>
@endpush