@extends('layouts.layout')

@section('content-wrapper')
    <!-- Content Header (Page header) -->
   
    <section class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h1>Edit User</h1>
          </div>
          <div class="col-sm-6">
            <ol class="breadcrumb float-sm-right">
              <li class="breadcrumb-item"><a href="{{ route('home') }}">Home</a></li>
              <li class="breadcrumb-item active">edit user</li>
            </ol>
          </div>
        </div>
      </div><!-- /.container-fluid -->
    </section>
    @foreach ($user as $user)
    <section class="content">
      <form  method="POST" action="{{route('usersupdate', $user->id)  }}"enctype="multipart/form-data">
        @csrf
      
       
            <div class="container-fluid">
              {{-- @if ($errors->any())
              <div class="alert alert-danger">
                  <strong>Whoops!</strong> There were some problems with your input.<br><br>
                  <ul>
                      @foreach ($errors->all() as $error)
                          <li>{{ $error }}</li>
                      @endforeach
                  </ul>
              </div>
          @endif --}}
 
              
              <div class="row">
                <!-- left column -->
      
        <div class="col-md-12">
          <!-- jquery validation -->
          <div class="card card-primary">
            <div class="card-header">
              <h3 class="card-title">Edit user</h3>
            </div>
            <!-- /.card-header -->
            <!-- form start -->
            <form id="quickForm">
              <div class="card-body">
            <div class="row">
              <div class="form-group col-lg-6 col-md-6 col-sm-6">
                  <label for="exampleInputcountry">Name:</label>

                  <input type="text" class="form-control @error('name') is-invalid @enderror"
                   value="{{ $user->name }}" name="name" class="form-control" placeholder="Name" required>
                  @error('name')
                  <span class="invalid-feedback" role="alert">
                      <strong>{{ $message }}</strong>
                  </span>
              @enderror
               </div>
             <div class="form-group col-lg-6 col-md-6 col-sm-6">
              <label for="exampleInput">Phone:</label>

              <input type="tel" class="form-control @error('phone') is-invalid @enderror" id="phone" minlength="8"
              maxlength="14" onkeypress="return AllowOnlyNumbers(event);" value="{{ $user->phone }}"
                name="phone" placeholder="Phone" pattern="[+]{0,1}[0-9]{8,13}" required>
                @if ($errors->has('phone'))
                <span class="invalid-message" style="color:red;">
                    <strong>{{ $errors->first('phone') }}</strong>
                </span>
                @endif
           </div>
          </div>
           <div class="row">
            <div class="form-group col-lg-6 col-md-6 col-sm-6">
                <label class="form-label" for="role_id">
                  Branch:
                </label>
                <select id="country-select" class="country-select form-control
                  @error('branch') is-invalid @enderror"
                name="branch"
                required>
                  <option value="" disabled>Please Select</option>
                  <option value="1" @if($user->branch_id == 1) selected @endif>Tartous</option>
                  <option value="2" @if($user->branch_id == 2) selected @endif>Lattakia</option>
                </select>
                @error('branch')
                  <span class="invalid-feedback" role="alert">
                      <strong>{{ $message }}</strong>
                  </span>
                @enderror
            </div>
            
           <div class="form-group col-lg-6 col-md-6 col-sm-6">
            <label class="form-label" for="role_id">
              Role:
            </label>
            <select id="roles-select" class="form-control
              @error('role') is-invalid @enderror"
              name="role"
              value="{{ old('role_id') }}">
              <option value="" disabled>Please Select</option>
              @foreach($roles as $key => $role)
                <option value="{{$role->id}}"
                  @if($role->id == $user->role_id)
                  selected
                  @endif
                  >{{$role->name}}</option>
            @endforeach
          </select>
          @error('role')
          <span class="invalid-feedback" role="alert">
              <strong>{{ $message }}</strong>
          </span>
          @enderror
         </div>
        </div>
         <div class="row">
          <div class="form-group col-lg-6 col-md-6 col-sm-6">
            <label for="exampleInputcountry">Address:</label>
            <input type="text" class="form-control @error('address') is-invalid @enderror"
            value="{{ $user->address }}" name="address" class="form-control" placeholder="address" required>
            @error('address')
              <span class="invalid-feedback" role="alert">
                  <strong>{{ $message }}</strong>
              </span>
            @enderror
       </div>
      </div>
        </div>
        <!-- /.card-body -->
        <div class="card-footer">
          <button type="submit" class="btn btn-primary">Update</button>
        </div>
      </div>
      <!-- /.card -->
      </div>
    </div>
  </div>

</form>

  </section> 
  @endforeach
 
  <!-- Main content -->
    
<!-- /.content -->
</div>

@endsection
@push('scripts')
<script>
  var inputt = document.querySelector('#phone');
  var countryData = window.intlTelInputGlobals.getCountryData();
  var addressDropdow = document.querySelector("#addresss-country");
  var it2 = window.intlTelInput(inputt, {
      utilScript: '{{asset('public/front/js/utils.js')}}'
  });
  for (var i = 0; i < countryData.length; i++) {
      var country = countryData[i];
      var optionNode = document.createElement("option");
      optionNode.value = country.iso2;
      var textNode = document.createTextNode(country.name);
      optionNode.appendChild(textNode);
      addressDropdow.appendChild(optionNode);
  }

  addressDropdow.value = it2.getSelectedCountryData().iso2;

  // listen to the telephone input for changes
  inputt.addEventListener('countrychange', function (e) {
      addressDropdow.value = it2.getSelectedCountryData().iso2;
  });

  // listen to the address dropdown for changes
  addressDropdow.addEventListener('change', function () {
      it2.setCountry(this.value);
  });
</script>
@endpush