<?php
use App\Http\Controllers\Dashboard\UserController;
use App\Http\Controllers\Auth\LoginController;
use App\Http\Controllers\Dashboard\BannerController;
use Illuminate\Support\Facades\Route;
use Illuminate\Support\Facades\Auth;
use App\Http\Controllers\Dashboard\SliderController;
use App\Http\Controllers\Dashboard\CategoryController;
use App\Http\Controllers\Dashboard\ProductController;
use App\Http\Controllers\Dashboard\ExtraController;
use App\Http\Controllers\Dashboard\OptionController;
use App\Http\Controllers\Dashboard\OrderController;
use App\Http\Controllers\Dashboard\CouponController;
use App\Http\Controllers\Dashboard\AddressController;
use App\Http\Controllers\Dashboard\StaticContentController;
use App\Http\Controllers\Dashboard\FaqController;
use App\Http\Controllers\Dashboard\NotificationController;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

// Route::get('/', function () {
//     return view('welcome');
// });

Route::get('/', [App\Http\Controllers\HomeController::class, 'index']);

Route::group(['prefix' => '/', 'middleware'=>['admin']],function (){
    Route::get('/home', [App\Http\Controllers\HomeController::class, 'index'])->name('home');
    //User
        Route::get('users/', [UserController::class, 'index'])->name('userslist');
        Route::get('dleivery.boys/', [UserController::class, 'indexDeliveryBoy'])->name('boyslist');
        Route::get('users.user', [UserController::class, 'create'])->name('userscreate');
        Route::post('users.store', [UserController::class, 'store'])->name('usersstore');
        Route::post('users.user/{id?}', [UserController::class, 'delete'])->name('usersdelete');
        Route::post('users.update/{id?}', [UserController::class, 'update'])->name('usersupdate');
        Route::get('users.edit/{id?}', [UserController::class, 'edit'])->name('usersedit');


    //Category
        Route::get('categories/', [CategoryController::class, 'index'])->name('categorieslist');
        Route::get('categories.category', [CategoryController::class, 'create'])->name('categoriescreate');
        Route::post('categories.store', [CategoryController::class, 'store'])->name('categoriesstore');
        Route::post('categories.category/{id?}', [CategoryController::class, 'delete'])->name('categoriesdelete');
        Route::post('categories.update/{id?}', [CategoryController::class, 'update'])->name('categoriesupdate');
        Route::get('categories.edit/{id?}', [CategoryController::class, 'edit'])->name('categoriesedit');

    //Product
        Route::get('products/', [ProductController::class, 'index'])->name('productslist');
        Route::get('products.product', [ProductController::class, 'create'])->name('productscreate');
        Route::post('products.store', [ProductController::class, 'store'])->name('productsstore');
        Route::post('products.product/{id?}', [ProductController::class, 'delete'])->name('productsdelete');
        Route::post('products.update/{id?}', [ProductController::class, 'update'])->name('productsupdate');
        Route::get('products.edit/{id?}', [ProductController::class, 'edit'])->name('productsedit');
        Route::get('/option/{id}',  [ProductController::class,'optionDelete'])->name('option.delete');
    
    //Extra
        Route::get('extras/', [ExtraController::class, 'index'])->name('extralist');
        Route::get('extras.extra', [ExtraController::class, 'create'])->name('extracreate');
        Route::post('extras.store', [ExtraController::class, 'store'])->name('extrastore');
        Route::post('extras.extra/{id?}', [ExtraController::class, 'delete'])->name('extradelete');
        Route::post('extras.update/{id?}', [ExtraController::class, 'update'])->name('extraupdate');
        Route::get('extras.edit/{id?}', [ExtraController::class, 'edit'])->name('extraedit');

    //Option
        Route::get('options/', [OptionController::class, 'index'])->name('optionlist');
        Route::get('options.option', [OptionController::class, 'create'])->name('optioncreate');
        Route::post('options.store', [OptionController::class, 'store'])->name('optionstore');
        Route::post('options.extra/{id?}', [OptionController::class, 'delete'])->name('optiondelete');
        Route::post('options.update/{id?}', [OptionController::class, 'update'])->name('optionupdate');
        Route::get('options.edit/{id?}', [OptionController::class, 'edit'])->name('optionedit');
        Route::get('all-options/', [OptionController::class, 'allOptions'])->name('allOptions');

    //Coupon
        Route::get('coupons/', [CouponController::class, 'index'])->name('couponslist');
        Route::get('coupons.coupon', [CouponController::class, 'create'])->name('couponscreate');
        Route::post('coupons.store', [CouponController::class, 'store'])->name('couponsstore');
        Route::post('coupons.coupon/{id?}', [CouponController::class, 'delete'])->name('couponsdelete');
        Route::post('coupons.update/{id?}', [CouponController::class, 'update'])->name('couponsupdate');
        Route::get('coupons.edit/{id?}', [CouponController::class, 'edit'])->name('couponsedit');
 
    //Address
        Route::get('addresses/', [AddressController::class, 'index'])->name('addresseslist');
        Route::get('addresses.address', [AddressController::class, 'create'])->name('addressescreate');
        Route::post('coupaddressesons.store', [AddressController::class, 'store'])->name('addressesstore');
        Route::post('addresses.address/{id?}', [AddressController::class, 'delete'])->name('addressesdelete');
        Route::post('addresses.update/{id?}', [AddressController::class, 'update'])->name('addressesupdate');
        Route::get('addresses.edit/{id?}', [AddressController::class, 'edit'])->name('addressesedit');

    //StaticContent
        Route::get('staticcontent', [StaticContentController::class,'create'])->name('staticcontent');
        Route::post('/update-staticcontent', [StaticContentController::class,'update'])->name('update.staticcontent');
     
    //FAQ
        Route::get('faqs/', [FaqController::class, 'index'])->name('faqslist');
        Route::get('faqs.faq', [FaqController::class, 'create'])->name('faqscreate');
        Route::post('faqs.store', [FaqController::class, 'store'])->name('faqsstore');
        Route::post('faqs.category/{id?}', [FaqController::class, 'delete'])->name('faqsdelete');
        Route::post('faqs.update/{id?}', [FaqController::class, 'update'])->name('faqsupdate');
        Route::get('faqs.edit/{id?}', [FaqController::class, 'edit'])->name('faqsedit');

    //Banners
        Route::get('banner', [BannerController::class,'create'])->name('banner');
        Route::post('/updatebanner', [BannerController::class,'update']);

    // Slider
        Route::get('sliders/', [SliderController::class, 'index'])->name('sliders');
        Route::post('slider.store', [SliderController::class, 'store'])->name('slidersstore');
        Route::post('delete_file/{id?}', [SliderController::class, 'delete'])->name('slidersdelete');
    
     // Order
        Route::get('orders/', [OrderController::class, 'index'])->name('orderslist');
        Route::post('orders.update/{id?}', [OrderController::class, 'update'])->name('ordersupdate');
        Route::post('orders.order/{id?}', [OrderController::class, 'delete'])->name('ordersdelete');
        Route::get('orders.info/{id?}', [OrderController::class, 'info'])->name('ordersinfo');

    //notifications
        Route::get('/notification', [NotificationController::class, 'index'])->name('dashboard.notification.index');
        Route::post('/save/notification', [NotificationController::class, 'save'])->name('dashboard.notification.save');
    });

    Auth::routes();
