<?php

namespace LaravelFCM;

use GuzzleHttp\Client;
use Illuminate\Support\Manager;

class FCMManager extends Manager
{
    public function getDefaultDriver()
    {
        if (isset($this->app)) {
            $driver = $this->app['config']['fcm.driver'];
        } else {
            $driver = $this->config['fcm.driver'];
        }

        return $driver;
    }

    protected function createHttpDriver()
    {
        if (isset($this->app)) {
            $config = $this->app['config']->get('fcm.http', []);
        } else {
            $config = $this->config->get('fcm.http', []);
        }

        return new Client(['timeout' => $config['timeout']]);
    }
}
